local MAJOR, MINOR = "LibBoss-1.0", 25
local LibBoss, oldminor = LibStub:NewLibrary(MAJOR, MINOR)
if not LibBoss then return end	--the same or newer version of this lib is already loaded into memory 

LIBBOSS = LibBoss

G_LIBBOSS = 
{
	ZONE_TYPE = 
	{
		DUNGEON_PUBLIC_GROUP = 1,
		DUNGEON_PUBLIC_SOLO = 2,		
		DUNGEON_INSTANCED_NORMAL = 3,
		DUNGEON_INSTANCED_VETERAN = 4,
		DUNGEON_INSTANCED_TRIAL = 5,
		ZONE = 6,
	},
	INDEX =
	{
		BOSS_ID = 1,
		ZONE_ID = 2,
		NAME = 3,		
		NAME_FR = 4,		
		NAME_DE = 5,		
		X = 6,
		Y = 7,
		LEVEL = 8,
		ORDER = 9,
		GROUPNAME = 10,
		LOOTTABLE = 11,
	},
	ZONE_DATA = 
	{
		ZONE_ID = 1,
		ZONE_EN = 2,
		ZONE_FR = 3,
		ZONE_DE = 4,
		ZONE_TYPE = 5,
		ZONE_FACTION = 6,
		ZONE_MINLVL = 7,
		ZONE_MAXLVL = 8
	},
	ZONE_TEXTURES =
	{
		ID = 1,
		TEXTURES = 2,
	},
	TEXTURES = 
	{
		PATH = 1,
		X = 2,
		Y = 3,
	},
	BOSS_LOOT = 
	{
		BOSS_ID = 1,
		ITEM_LINK = 2,
	}
}
local AZI = --AtlasZoneId
{
	AETHERIAN_ARCHIVE          = 1,
	ARX_CORINIUM               = 2,       
	BLACKHEART_HAVEN           = 3,   
	BLESSED_CRUCIBLE           = 4,   
	CITY_OF_ASH                = 5,        	
	CRYPT_OF_HEARTS            = 6, 
	CRYPT_OF_HEARTS_VETERAN    = 7, 
	DARKSHADE_CAVERNS_NORMAL   = 8, 
	DARKSHADE_CAVERNS_VETERAN  = 9, 
	DIREFROST_KEEP		   = 10,
	ELDEN_HOLLOW_NORMAL	   = 11,
	ELDEN_HOLLOW_VETERAN       = 12,
	FUNGAL_GROTTO_NORMAL       = 13,
	FUNGAL_GROTTO_VETERAN      = 14,
	HEL_RA_CITADEL             = 15,
	SELENES_WEB                = 16,
	SPINDLECLUTCH_NORMAL       = 17,
	SPINDLECLUTCH_VETERAN      = 18,
	TEMPEST_ISLAND      	   = 19,
	THE_BANISHED_CELLS_NORMAL  = 20,
	THE_BANISHED_CELLS_VETERAN = 21,
	VAULTS_OF_MADNESS          = 22,
	VOLENFELL		   = 23,
	WAYREST_SEWERS_NORMAL      = 24,
	WAYREST_SEWERS_VETERAN     = 25,
	CRAGLORN                   = 26,
	RKHARDARHRK                = 27,
	BALAMATH		   = 28,
	SHADA_S_TEAR		   = 29,
	BURIED_SANDS		   = 30,
	HIRCINE_S_HAUNT		   = 31, 
	SANCRE_TOR		   = 32,
	RUINS_OF_KARDALA	   = 33,
	HADDOCK_S_MARKET	   = 34,
	CHISELSHRIEK_MINE	   = 35,
	MTHARNAZ 		   = 36,
	SEEKERSARCHIVE             = 37,
	MOLAVAR			   = 38,
	CROW_S_WOOD		   = 39,
	BANGKORAI                  = 40,
	REINHOLDS_RETREAT          = 41,
	THE_MAGES_STAFF		   = 42,
	CRYPT_OF_TARISHZI	   = 43,
	RKUNDZELFT	           = 44,
	RAHNIZA			   = 45,
--	COLDHARBOUR		   = 46,
}

local zoneData = 
{
	{AZI.AETHERIAN_ARCHIVE          , [[Aetherian Archive]],      	     [[Archive æthérienne^fd]]           , [[ätherisches Archiv^ndc,in]]        , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_TRIAL  , [[?]], [[1]] , [[12]]},
	{AZI.ARX_CORINIUM               , [[Arx Corinium]],           	     [[Arx Corinium^M]]                    , [[]]                                  , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_NORMAL , [[E]], [[28]], [[31]]},
	{AZI.BLACKHEART_HAVEN           , [[Blackheart Haven]],       	     [[]]                                  , [[]]                                  , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_NORMAL , [[D]], [[40]], [[43]]},
	{AZI.BLESSED_CRUCIBLE           , [[Blessed Crucible]],       	     [[Creuset béni^md]]                  , [[gesegnete Feuerprobe^fdc,bei]]      , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_NORMAL , [[E]], [[40]], [[43]]},
	{AZI.CITY_OF_ASH                , [[City of Ash]],            	     [[Cité des cendres^fd]]              , [[Stadt der Asche^fd,in]]             , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_NORMAL , [[A]], [[28]], [[31]]},	
	{AZI.CRYPT_OF_HEARTS            , [[Crypt of Hearts]],        	     [[Crypte des cœurs^fd]]              , [[Krypta der Herzen^fd,in]]           , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_NORMAL , [[D]], [[28]], [[31]]},
	{AZI.CRYPT_OF_HEARTS_VETERAN    , [[Crypt of Hearts]],        	     [[Crypte des cœurs^fd]]              , [[Krypta der Herzen^fd,in]]           , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_VETERAN, [[D]], [[10]], [[12]]},
	{AZI.DARKSHADE_CAVERNS_NORMAL   , [[Darkshade Caverns]],      	     [[cavernes d'Ombre-noire^pfd]]        , [[Dunkelschattenkavernen^pd,in]]      , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_NORMAL , [[E]], [[20]], [[23]]},
	{AZI.DARKSHADE_CAVERNS_VETERAN  , [[Darkshade Caverns]],      	     [[cavernes d'Ombre-noire^pfd]]        , [[Dunkelschattenkavernen^pd,in]]      , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_VETERAN, [[E]], [[6]] , [[10]]},
	{AZI.DIREFROST_KEEP             , [[Direfrost Keep]],         	     [[donjon d'Affregivre^md]]            , [[Burg Grauenfrost^fd,in]]            , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_NORMAL , [[E]], [[35]], [[36]]},
	{AZI.ELDEN_HOLLOW_NORMAL        , [[Elden Hollow]],           	     [[creuset des aînés^md]]            , [[Eldengrund^md,in]]                  , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_NORMAL , [[A]], [[20]], [[23]]},
	{AZI.ELDEN_HOLLOW_VETERAN       , [[Elden Hollow]],           	     [[creuset des aînés^md]]            , [[Eldengrund^md,in]]                  , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_VETERAN, [[A]], [[6]] , [[10]]},
	{AZI.FUNGAL_GROTTO_NORMAL       , [[Fungal Grotto]],          	     [[Champignonnière^fd]]               , [[Pilzgrotte^fd,vor]]                 , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_NORMAL , [[E]], [[12]], [[15]]},
	{AZI.FUNGAL_GROTTO_VETERAN      , [[Fungal Grotto]],          	     [[Champignonnière^fd]]               , [[Pilzgrotte^fd,vor]]                 , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_VETERAN, [[E]], [[1]] , [[5]] },
	{AZI.HEL_RA_CITADEL             , [[Hel Ra Citadel]],         	     [[citadelle d'Hel Ra^fd]]             , [[Zitadelle von Hel Ra^fd,in]]        , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_TRIAL  , [[?]], [[1]] , [[12]]},
	{AZI.SELENES_WEB                , [[Selene's Web]],           	     [[toile de Sélène^fd]]              , [[Selenes Netz^Ng,in]]                , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_NORMAL , [[A]], [[40]], [[43]]},
	{AZI.SPINDLECLUTCH_NORMAL       , [[Spindleclutch]],          	     [[Tressefuseau^F]]                    , [[Spindeltiefen^pd,in]]               , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_NORMAL , [[D]], [[12]], [[15]]},
	{AZI.SPINDLECLUTCH_VETERAN      , [[Spindleclutch]],          	     [[Tressefuseau^F]]                    , [[Spindeltiefen^pd,in]]               , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_VETERAN, [[D]], [[1]] , [[5]] },
	{AZI.TEMPEST_ISLAND             , [[Tempest Island]],         	     [[île des Tempêtes^fd]]             , [[Orkaninsel^fd,auf]]                 , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_NORMAL , [[A]], [[35]], [[36]]},
	{AZI.THE_BANISHED_CELLS_NORMAL  , [[The Banished Cells]],     	     [[Cachot interdit^md]]                , [[Verbannungszellen^pd,in]]           , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_NORMAL , [[A]], [[12]], [[19]]},
	{AZI.THE_BANISHED_CELLS_VETERAN , [[The Banished Cells]],     	     [[Cachot interdit^md]]                , [[Verbannungszellen^pd,in]]           , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_VETERAN, [[A]], [[1]] , [[5]] },
	{AZI.VAULTS_OF_MADNESS          , [[Vaults of Madness]],      	     [[Chambres de la folie^pfd]]          , [[Kammern des Wahnsinns^pd,in]]       , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_NORMAL , [[?]], [[47]], [[50]]},
	{AZI.VOLENFELL                  , [[Volenfell]],              	     [[Volenfell^F]]                       , [[Volenfell^N,in]]                    , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_NORMAL , [[D]], [[35]], [[36]]},
	{AZI.WAYREST_SEWERS_NORMAL      , [[Wayrest Sewers]],         	     [[égouts d'Haltevoie^pmd]]           , [[Kanalisation von Wegesruh^fd,in]]   , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_NORMAL , [[D]], [[20]], [[23]]},
	{AZI.WAYREST_SEWERS_VETERAN     , [[Wayrest Sewers]],         	     [[égouts d'Haltevoie^pmd]]           , [[Kanalisation voegesruh^fd,in]]      , G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_VETERAN, [[D]], [[6]] , [[10]]}, 
	{AZI.CRAGLORN                   , [[Craglorn]],               	     [[Raidelorn^M]]                       , [[Kargstein^N]]                       , G_LIBBOSS.ZONE_TYPE.ZONE                     , [[?]], [[1]] , [[12]]}, 
	{AZI.RKHARDARHRK                , [[Rkhardarhrk]],            	     [[Rkhardahrk^M]]                      , [[Rkhardahrk^N,in]]                   , G_LIBBOSS.ZONE_TYPE.DUNGEON_PUBLIC_GROUP     , [[?]], [[1]] , [[12]]}, -- CRAGLORN DUNGEON
	{AZI.BALAMATH                   , [[Balamath]],               	     [[Balamath^F]]                        , [[Balamath^N,in]]                     , G_LIBBOSS.ZONE_TYPE.DUNGEON_PUBLIC_GROUP     , [[?]], [[1]] , [[12]]}, -- CRAGLORN DUNGEON
	{AZI.SHADA_S_TEAR               , [[Shada's Tear]],           	     [[larme de Shada^fd]]                 , [[Shadas Träne^Fg,in]]               , G_LIBBOSS.ZONE_TYPE.DUNGEON_PUBLIC_GROUP     , [[?]], [[1]] , [[12]]}, -- CRAGLORN DUNGEON
	{AZI.BURIED_SANDS               , [[Buried Sands]],           	     [[sables engloutis^pm]]               , [[vergrabene Sande^pdc,in]]           , G_LIBBOSS.ZONE_TYPE.DUNGEON_PUBLIC_GROUP     , [[?]], [[1]] , [[12]]}, -- CRAGLORN DUNGEON
	{AZI.HIRCINE_S_HAUNT            , [[Hircine's Haunt]],        	     [[hantise d'Hircine^fd]]              , [[Hircines Schlupfwinkel^Mg,in]]      , G_LIBBOSS.ZONE_TYPE.DUNGEON_PUBLIC_GROUP     , [[?]], [[1]] , [[12]]}, -- CRAGLORN DUNGEON	
	{AZI.SANCRE_TOR                 , [[Sancre Tor]],             	     [[]]                                  , [[Sancre Tor^N]]                      , G_LIBBOSS.ZONE_TYPE.DUNGEON_PUBLIC_SOLO      , [[?]], [[50]] , [[50]]}, -- Private instance
	{AZI.RUINS_OF_KARDALA           , [[Ruins of Kardala]],       	     [[]]                                  , [[Ruinen von Kardala^pd,in]]          , G_LIBBOSS.ZONE_TYPE.DUNGEON_PUBLIC_GROUP     , [[?]], [[1]] , [[12]]}, -- CRAGLORN DUNGEON	
	{AZI.HADDOCK_S_MARKET           , [[Haddock's Market]],       	     [[marché de l'aiglefin^md]]          , [[Haddocks Markt^Mg,in]]              , G_LIBBOSS.ZONE_TYPE.DUNGEON_PUBLIC_GROUP     , [[?]], [[1]] , [[12]]}, -- CRAGLORN DUNGEON	
	{AZI.CHISELSHRIEK_MINE          , [[Chiselshriek Mine]],      	     [[mine de Ciselcri^fd]]               , [[Meißelkreischmine^fd,in]]          , G_LIBBOSS.ZONE_TYPE.DUNGEON_PUBLIC_GROUP     , [[?]], [[1]] , [[12]]}, -- CRAGLORN DUNGEON	
	{AZI.MTHARNAZ                   , [[Mtharnaz]],               	     [[]]                                  , [[Mtharnaz^N,in]]                     , G_LIBBOSS.ZONE_TYPE.DUNGEON_PUBLIC_GROUP     , [[?]], [[1]] , [[12]]}, -- CRAGLORN DUNGEON	
	{AZI.SEEKERSARCHIVE             , [[Seeker's Archive]],       	     [[Archive des Sourciers^fd]]          , [[Archiv des Suchers^nd,in]]          , G_LIBBOSS.ZONE_TYPE.DUNGEON_PUBLIC_GROUP     , [[?]], [[1]] , [[12]]}, -- CRAGLORN DUNGEON	
	{AZI.MOLAVAR                    , [[Molavar]],                	     [[Molavar^M]]                         , [[]]                                  , G_LIBBOSS.ZONE_TYPE.DUNGEON_PUBLIC_GROUP     , [[?]], [[1]] , [[12]]}, -- CRAGLORN DUNGEON	
	{AZI.CROW_S_WOOD                , [[Crow's Wood]],            	     [[]]                                  , [[Krähenwald^M,in]]                  , G_LIBBOSS.ZONE_TYPE.ZONE                     , [[?]], [[1]] , [[12]]}, 
	{AZI.BANGKORAI                  , [[Bangkorai]],              	     [[]]                                  , [[]]                                  , G_LIBBOSS.ZONE_TYPE.ZONE                     , [[?]], [[1]] , [[12]]}, 
	{AZI.REINHOLDS_RETREAT          , [[Reinhold's Retreat]],     	     [[retraite de Reinhold^fd]]           , [[]]                                  , G_LIBBOSS.ZONE_TYPE.DUNGEON_PUBLIC_GROUP     , [[?]], [[1]] , [[12]]}, -- CRAGLORN DUNGEON	
	{AZI.THE_MAGES_STAFF            , [[The Mages Staff]],        	     [[Bâton du Mage^md]]                 , [[Stab der Magierin^md,in]]           , G_LIBBOSS.ZONE_TYPE.DUNGEON_PUBLIC_GROUP     , [[?]], [[1]] , [[12]]}, -- CRAGLORN DUNGEON	
	{AZI.CRYPT_OF_TARISHZI          , [[Tombs of the Na-Totambu]],	     [[tombes des Na-Totambu^pfd]]         , [[Gräber der Na-Totambu^pd]]         , G_LIBBOSS.ZONE_TYPE.DUNGEON_PUBLIC_GROUP     , [[?]], [[1]] , [[12]]}, -- CRAGLORN DUNGEON	
	{AZI.RKUNDZELFT                 , [[Rkundzelft]],             	     [[Rkundzelft^F]]                      , [[Rkundzelft^N,in]]                   , G_LIBBOSS.ZONE_TYPE.DUNGEON_PUBLIC_GROUP     , [[?]], [[1]] , [[12]]}, -- CRAGLORN DUNGEON	
	{AZI.RAHNIZA                    , [[Rahni'Za, School of Warriors]],  [[Rahni'Za, l'école des guerriers^F]], [[Rahni'Za, die Schule der Krieger^N]], G_LIBBOSS.ZONE_TYPE.DUNGEON_PUBLIC_GROUP     , [[?]], [[1]] , [[12]]}, -- CRAGLORN DUNGEON	
--	{AZI.COLDHARBOUR                , [[Coldharbour]],           	     [[]]                                  , [[]]                                  , G_LIBBOSS.ZONE_TYPE.ZONE                     , [[?]], [[1]] , [[12]]}, 
}

local zoneTextures = 
{
	{AZI.AETHERIAN_ARCHIVE          , { [1] = {[[art/maps/craglorn/aetherianarchivebottom_base_]],3,3},
                    		            [2] = {[[art/maps/craglorn/aetherianarchiveislanda_base_]],3,3},
                    			    [3] = {[[art/maps/craglorn/aetherianarchiveislandb_base_]],3,3},
					    [4] = {[[Art/maps/craglorn/aetherianarchiveislandc_base_]],3,3},
					    [5] = {[[art/maps/craglorn/aetherianarchiveend_base_]],3,3}, }, },
	{AZI.ARX_CORINIUM               , { [1] = {[[art/maps/shadowfen/arxcorinium_base_]],3,3}, }, },
	{AZI.BLACKHEART_HAVEN           , { [1] = {[[art/maps/bangkorai/blackhearthavenarea1_base_]], 3, 3},
                    			    [2] = {[[art/maps/bangkorai/blackhearthavenarea2_base_]], 3, 3},
                    			    [3] = {[[art/maps/bangkorai/blackhearthavenarea3_base_]], 3, 3},
                    			    [4] = {[[art/maps/bangkorai/blackhearthavenarea4_base_]], 3, 3}, } },
	{AZI.BLESSED_CRUCIBLE           , { [1] = {[[art/maps/therift/blessedcrucible3_base_]], 3, 3},
                    			    [2] = {[[art/maps/therift/blessedcrucible4_base_]], 3, 3}, }, },
	{AZI.CITY_OF_ASH                , { [1] = {[[art/maps/greenshade/cityofashmain_base_]],3,3}, }, },	
	{AZI.CRYPT_OF_HEARTS            , { [1] = {[[art/maps/rivenspire/cryptofhearts_base_]],3,3}, }, },
	{AZI.CRYPT_OF_HEARTS_VETERAN    , { [1] = {[[art/maps/rivenspire/cryptofheartsheroic_base_]],3,3},
					    [2] = {[[art/maps/rivenspire/cryptofheartsheroicboss_]],3,3}, 
					    [3] = {[[art/maps/rivenspire/cryptofhearts_base_]],3,3},}, },	
	{AZI.DARKSHADE_CAVERNS_NORMAL   , { [1] = {[[art/maps/deshaan/darkshadecaverns_base_]],3,3}, }, },
	{AZI.DARKSHADE_CAVERNS_VETERAN  , { [1] = {[[art/maps/deshaan/darkshadecavernsheroic_base_]],3,3},
					    [2] = {[[art/maps/deshaan/darkshadecaverns_base_]],3,3}, }, },
	{AZI.DIREFROST_KEEP             , { [1] = {[[art/maps/eastmarch/direfrostkeep_base_]],3,3}, 
					    [2] = {[[art/maps/eastmarch/direfrostkeepsummit_base_]],3,3}, }, },                
	{AZI.ELDEN_HOLLOW_NORMAL        , { [1] = {[[art/maps/grahtwood/eldenhollow_base_]],3,3}, }, },
	{AZI.ELDEN_HOLLOW_VETERAN       , { [1] = {[[art/maps/grahtwood/eldenhollowheroic2_base_]],3,3},
					    [2] = {[[art/maps/grahtwood/eldenhollow_base_]],3,3}, }, },
	-- /art/maps/grahtwood/eldenhollowheroic2_bas_0.dds
	{AZI.FUNGAL_GROTTO_NORMAL       , { [1] = {[[art/maps/stonefalls/fungalgrotto_base_]], 3, 3}, }, },                
	{AZI.FUNGAL_GROTTO_VETERAN      , { [1] = {[[art/maps/stonefalls/fungalgrottosecretroom_base_]], 3, 3},
					    [2] = {[[art/maps/stonefalls/fungalgrotto_base_]], 3, 3}, }, },
	{AZI.HEL_RA_CITADEL             , { [1] = {[[art/maps/craglorn/helracitadel_base_]],5,5},
					    [2] = {[[art/maps/craglorn/helracitadelhallofwarrior_base_]], 3, 3}, }, },
	{AZI.SELENES_WEB                , { [1] = {[[art/maps/reapersmarch/selenesweb_base_]],3,3}, 
					    [2] = {[[art/maps/reapersmarch/seleneswebfinalbossarea_base_]],3,3}, }, },
	{AZI.SPINDLECLUTCH_NORMAL       , { [1] = {[[art/maps/glenumbra/spindleclutch_base_]], 3, 3}, }, },
	{AZI.SPINDLECLUTCH_VETERAN      , { [1] = {[[art/maps/glenumbra/spindleclutchheroic_base_]], 3, 3},
					    [2] = {[[art/maps/glenumbra/spindleclutch_base_]], 3, 3}, }, },
	{AZI.TEMPEST_ISLAND             , { [1] = {[[art/maps/malabaltor/tempestislandswcave_base_]],3,3}, 
					    [2] = {[[art/maps/malabaltor/tempestisland_base_]],3,3}, 
					    [3] = {[[art/maps/malabaltor/tempestislandncave_base_]],3,3}, 
					    [4] = {[[art/maps/malabaltor/tempestislandsecave_base_]],3,3},	}, },
	{AZI.THE_BANISHED_CELLS_NORMAL  , { [1] = {[[art/maps/auridon/thebanishedcells_base_]], 3, 3}, }, },
	{AZI.THE_BANISHED_CELLS_VETERAN , { [1] = {[[art/maps/auridon/thebanishedcells_base_]], 3, 3}, }, },
	{AZI.VAULTS_OF_MADNESS          , { [1] = {[[art/maps/coldharbor/vaultsofmadness1_base_]], 3, 3}, }, },
	{AZI.VOLENFELL                  , { [1] = {[[art/maps/alikr/volenfell_base_]],3,3}, 
					    [2] = {[[art/maps/alikr/eyeschamber_base_]],3,3}, }, },
	{AZI.WAYREST_SEWERS_NORMAL      , { [1] = {[[art/maps/stormhaven/wayrestsewers_base_]], 3, 3}, }, },
	{AZI.WAYREST_SEWERS_VETERAN     , { [1] = {[[art/maps/stormhaven/wayrestsewers_base_]], 3, 3}, }, },
	{AZI.CRAGLORN                   , { [1] = {[[art/maps/craglorn/craglorn_base_]],3,3}, 
					    [2] = {[[art/maps/craglorn/stormlair_base_]],3,3},
					    [3] = {[[art/maps/craglorn/frostmonarchlair_base_]],3,3},}, },
	{AZI.RKHARDARHRK                , { [1] = {[[art/maps/craglorn/rkhardahrk_]],3,3}, }, },
	{AZI.BALAMATH                   , { [1] = {[[art/maps/craglorn/balamath_base_]],2,2},
	 				    [2] = {[[art/maps/craglorn/balamathlibrary_base_]],3,3}, 
	 				    [3] = {[[art/maps/craglorn/balamathairmonarchcham_base_]],3,3}, }, },
	{AZI.SHADA_S_TEAR               , { [1] = {[[art/maps/craglorn/shadacitydistrict_base_]],3,3},
	               			    [2] = {[[art/maps/craglorn/shadaburialgrounds_base_]],3,3}, 
					    [3] = {[[art/maps/craglorn/shadahallofworship_base_]],3,3}, }, },
	{AZI.BURIED_SANDS               , { [1] = {[[art/maps/craglorn/burriedsands_base_]],3,3}, }, },
	{AZI.HIRCINE_S_HAUNT            , { [1] = {[[art/maps/craglorn/hircineshaunt_base_]],3,3}, }, },
	{AZI.SANCRE_TOR                 , { [1] = {[[art/maps/main/sancretor8_base_]],3,3}, }, },
	{AZI.RUINS_OF_KARDALA           , { [1] = {[[art/maps/craglorn/kardala_base_]],3,3}, }, },
	{AZI.HADDOCK_S_MARKET           , { [1] = {[[art/maps/craglorn/haddock_base_]],3,3}, }, },
	{AZI.CHISELSHRIEK_MINE          , { [1] = {[[art/maps/craglorn/chiselshriek_base_]],3,3}, }, },
	{AZI.MTHARNAZ                   , { [1] = {[[art/maps/craglorn/mtharnaz_base_]],3,3}, }, },
	{AZI.SEEKERSARCHIVE             , { [1] = {[[art/maps/craglorn/seekersarchivedown_base_]],3,3}, }, },
	{AZI.MOLAVAR                    , { [1] = {[[art/maps/craglorn/molavar_base_]],3,3}, }, },
	{AZI.CROW_S_WOOD                , { [1] = {[[art/maps/stonefalls/crowswood_base_]],3,3}, }, },
	{AZI.BANGKORAI                  , { [1] = {[[art/maps/bangkorai/bangkorai_base_]],2,2}, }, },
	{AZI.REINHOLDS_RETREAT          , { [1] = {[[art/maps/craglorn/reinholdsretreatcave_base_]],3,3}, }, },
	{AZI.THE_MAGES_STAFF            , { [1] = {[[art/maps/craglorn/themagesstaff_base_]],3,3}, }, }, 
	{AZI.CRYPT_OF_TARISHZI          , { [1] = {[[art/maps/craglorn/cryptoftarishzizone_base_]],3,3}, 
					    [2] = {[[art/maps/craglorn/cryptoftarishzi2_base_]],3,3},}, },  
	{AZI.RKUNDZELFT                 , { [1] = {[[art/maps/craglorn/rkundzelft_base_]],3,3}, }, },  
	{AZI.RAHNIZA                    , { [1] = {[[art/maps/craglorn/rahniza_3_]],3,3}, }, },  
--	{AZI.COLDHARBOUR                , { [1] = {[[art/maps/coldharbor/coldharbour_base_]],2,2},
--					    [2] = {[[art/maps/coldharbor/aba-loria_base_]],3,3}, }, },  
}

local bossData = {}

table.insert(bossData, { #bossData+1,  AZI.AETHERIAN_ARCHIVE, [[Lightning Storm Atronach]], [[Atronach de Foudre Intense]], [[Gewitteratronach]], 0.4000, 0.3200, 2, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29513:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hRobes of the Warlock|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29514:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hCowl of the Warlock|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29515:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hFocus of the Warlock|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29516:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hSignet of the Warlock|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55386:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hEpaulets of the Warlock|h]] )
	
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43843:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|hHood of the Necromancer|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43844:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|hEpaulets of the Necromancer|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43845:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|hBreeches of the Necromancer|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43846:250:50:0:0:0:0:0:0:0:0:0:0:0:0:9:0:0:10000:0|hRobe of the Necromancer|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55424:250:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hGloves of the Necromancer|h]] )
	
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43867:250:50:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:10000:0|hIce Furnace Pauldrons|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43868:250:50:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:10000:0|hIce Furnace Greaves|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43869:250:50:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:10000:0|hIce Furnace Cuirass|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43870:250:50:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:10000:0|hIce Furnace Sabatons|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55428:250:50:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:10000:0|hIce Furnace Gauntlets|h]] )
	
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43900:250:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hDarkstride Helmet|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43901:250:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hDarkstride Bracers|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43902:250:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hDarkstride Jack|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43903:250:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hDarkstride Belt|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43904:250:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hDarkstride Boots|h]] )
	
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43940:250:50:0:0:0:0:0:0:0:0:0:0:0:0:4:0:0:10000:0|hStygian Helmet|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43941:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|hStygian Bracers|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43942:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hStygian Jack|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43943:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|hStygian Boots|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43944:250:50:0:0:0:0:0:0:0:0:0:0:0:0:3:0:0:10000:0|hStygian Dagger|h]] )
	
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44085:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hHelm of the Storm Knight's Plate|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44086:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hPauldrons of the Storm Knight|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44087:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hGauntlets of the Storm Knight|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44088:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hGreaves of the Storm Knight|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44089:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hCuirass of the Storm Knight|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44090:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hPendant of the Storm Knight|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44091:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hShield of the Storm Knight|h]] )
	
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44118:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:10000:0|hHat of Necropotence|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44119:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:10000:0|hEpaulets of Necropotence|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44120:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:10000:0|hGloves of Necropotence|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44121:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:10000:0|hBreeches of Necropotence|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44122:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:10000:0|hRobe of Necropotence|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44123:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:10000:0|hSash of Necropotence|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44124:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:10000:0|hShoes of Necropotence|h]] )

table.insert(bossData, { #bossData+1,  AZI.AETHERIAN_ARCHIVE, [[Foundation Stone Atronach]], [[Atronach de Pierre des Fondations]], [[Grundsteinatronach]], 0.6500, 0.7000, 2, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29513:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hRobes of the Warlock|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29514:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hCowl of the Warlock|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29515:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hFocus of the Warlock|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29516:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hSignet of the Warlock|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55386:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hEpaulets of the Warlock|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43843:250:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hHood of the Necromancer|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43844:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|hEpaulets of the Necromancer|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43845:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|hBreeches of the Necromancer|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43846:250:50:0:0:0:0:0:0:0:0:0:0:0:0:9:0:0:10000:0|hRobe of the Necromancer|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55424:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hGloves of the Necromancer|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43867:250:50:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:10000:0|hIce Furnace Pauldrons|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43868:250:50:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:10000:0|hIce Furnace Greaves|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43869:250:50:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:10000:0|hIce Furnace Cuirass|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43870:250:50:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:10000:0|hIce Furnace Sabatons|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55428:250:50:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:10000:0|hIce Furnace Gauntlets|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43900:250:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hDarkstride Helmet|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43901:250:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hDarkstride Bracers|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43902:250:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hDarkstride Jack|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43903:250:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hDarkstride Belt|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43904:250:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hDarkstride Boots|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43940:250:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hStygian Helmet|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43941:250:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hStygian Bracers|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43942:250:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hStygian Jack|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43943:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:10000:0|hStygian Boots|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43944:250:50:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:0:0|hStygian Dagger|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44085:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hHelm of the Storm Knight's Plate|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44086:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hPauldrons of the Storm Knight|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44087:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hGauntlets of the Storm Knight|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44088:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hGreaves of the Storm Knight|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44089:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hCuirass of the Storm Knight|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44090:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hPendant of the Storm Knight|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44091:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hShield of the Storm Knight|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44118:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:10000:0|hHat of Necropotence|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44119:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:10000:0|hEpaulets of Necropotence|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44120:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:10000:0|hGloves of Necropotence|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44121:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:10000:0|hBreeches of Necropotence|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44122:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:10000:0|hRobe of Necropotence|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44123:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:10000:0|hSash of Necropotence|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44124:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:10000:0|hShoes of Necropotence|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55428:250:50:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:10000:0|hIce Furnace Gauntlets|h]] )

table.insert(bossData, { #bossData+1,  AZI.AETHERIAN_ARCHIVE, [[Varlariel]], [[Varlariël]], [[Varlariel]], 0.5390, 0.6080, 4, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29513:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hRobes of the Warlock|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29515:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hFocus of the Warlock|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29516:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hSignet of the Warlock|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55386:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hEpaulets of the Warlock|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43843:250:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hHood of the Necromancer|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43845:250:50:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:10000:0|hBreeches of the Necromancer|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43846:250:50:0:0:0:0:0:0:0:0:0:0:0:0:9:0:0:10000:0|hRobe of the Necromancer|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55424:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:10000:0|hGloves of the Necromancer|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43868:250:50:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:10000:0|hIce Furnace Greaves|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43869:250:50:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:10000:0|hIce Furnace Cuirass|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43870:250:50:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:10000:0|hIce Furnace Sabatons|h]] )
	
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43900:250:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hDarkstride Helmet|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43901:250:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hDarkstride Bracers|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43902:250:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hDarkstride Jack|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43904:250:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hDarkstride Boots|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43940:250:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hStygian Helmet|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43941:250:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hStygian Bracers|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43942:250:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hStygian Jack|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43943:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:10000:0|hStygian Boots|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43944:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:0:0|hStygian Dagger|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44085:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hHelm of the Storm Knight's Plate|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44086:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hPauldrons of the Storm Knight|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44087:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hGauntlets of the Storm Knight|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44088:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hGreaves of the Storm Knight|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44089:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hCuirass of the Storm Knight|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44090:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hPendant of the Storm Knight|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44091:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hShield of the Storm Knight|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44120:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:10000:0|hGloves of Necropotence|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44121:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:10000:0|hBreeches of Necropotence|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44122:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:10000:0|hRobe of Necropotence|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44123:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:10000:0|hSash of Necropotence|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44124:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:10000:0|hShoes of Necropotence|h]] )


table.insert(bossData, { #bossData+1,  AZI.AETHERIAN_ARCHIVE, [[The Mage]], [[]], [[Die Magierin]], 0.5153, 0.4618, 5, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54889:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hAether Robes|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54890:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hAether Hat|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54891:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hAether Epaulets|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54892:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hAether Gloves|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54895:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hAether Shoes|h]] )
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55795:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hAether Epaulets|h]] )
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55796:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hAether Gloves|h]] )
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55793:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hAether Robes|h]] )
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55794:354:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hAether Hat|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54896:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hAether Blazing Staff|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54897:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hAether Staff of Bitter Ice|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54898:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hAether Staff of Enervation|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55803:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hAether Necklace of Undoing|h]] )
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55801:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hAether Staff of Bitter Ice|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54900:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hEnergizing Aether Ring|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54902:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hAether Staff of Mending|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54903:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hAether Necklace of Mending|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54904:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hAether Ring of Restoration|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54905:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hAether Ring of Mending|h]] )
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55807:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hAether Necklace of Mending|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54877:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hGauntlets of the Yokeda|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54874:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hCuirass of the Yokeda|h]] )
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55778:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hCuirass of the Yokeda|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54875:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hHelm of the Yokeda|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54876:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|h|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54877:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hGauntlets of the Yokeda|h]] )
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55779:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hHelm of the Yokeda|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55783:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hGreaves of the Yokeda|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54881:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hGreatsword of the Advancing Yokeda|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54882:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hNecklace of the Advancing Yokeda|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54883:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hRefreshing Ring of the Advancing Yokeda|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54884:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hEnergizing Ring of the Advancing Yokeda|h]] )
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55785:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hGreatsword of the Advancing Yokeda|h]] )
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55786:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hNecklace of the Advancing Yokeda|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54885:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hHammer of the Resilient Yokeda|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54886:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hShield of the Resilient Yokeda|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54887:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hNecklace of the Resilient Yokeda|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54888:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hRing of the Resilient Yokeda|h]] )
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55790:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hRing of the Resilient Yokeda|h]] )
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55789:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hHammer of the Resilient Yokeda|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54906:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hOphidian Jack|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54907:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hOphidian Helm|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54909:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hOphidian Bracers of Celerity|h]] )
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55811:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hOphidian Helm|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55812:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hOphidian Spaulders of Celerity|h]] )
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55813:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hOphidian Bracers of Celerity|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54913:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hOphidian Bow of Venom|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54914:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hOphidian Necklace of Venom|h]] )
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55817:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hOphidian Bow of Venom|h]] )
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55818:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hOphidian Necklace of Venom|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54917:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hSword of the Two-Fanged Snake|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54918:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hSword of the Two-Fanged Snake|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54919:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hNecklace of the Two-Fanged Snake|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55824:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hRing of the Two-Fanged Snake|h]] ) -- Ring, Part of the Twice-Fanged Serpent Set
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55821:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hSword of the Two-Fanged Snake|h]] )

table.insert(bossData, { #bossData+1,  AZI.AETHERIAN_ARCHIVE, [[Random Drops]], [[]], [[]], 0, 0, 6, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54229:4:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hSmoldering Ember Heart|h]] ) -- Trophy, BoP, Flame Atronach ???
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54231:4:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hEverfrost|h]] ) -- Trophy, BoP, Frost Atronach ???
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54993:208:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hUndaunted Coffer|h]] ) -- Container, Weekly Reward

table.insert(bossData, { #bossData+1,  AZI.ARX_CORINIUM, [[Fanged Menace]], [[Menace Crochue]], [[]], 0.5100, 0.5600, 1, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:28978:50:28:0:0:0:0:0:0:0:0:0:0:0:0:34:0:0:0:0|hChain of the Snake Charmer|h]] )

table.insert(bossData, { #bossData+1,  AZI.ARX_CORINIUM, [[Ganakton the Tempest]], [[Ganakton l'Orage]], [[]], 0.7800, 0.6000, 1, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43799:4:28:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hCuirass of the Knightmare|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43853:4:31:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:10000:0|hJack of the Red Mountain|h]] )

table.insert(bossData, { #bossData+1,  AZI.ARX_CORINIUM, [[Sliklenia the Songstress]], [[]], [[Sliklenia la Chanteresse]], 0.2700, 0.7700, 1, 3, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43846:4:29:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hRobe of the Necromancer|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:23731:49:28:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:0:0|hSweetsong|h]] )

table.insert(bossData, { #bossData+1,  AZI.ARX_CORINIUM, [[Matron Ixniaa]], [[]], [[La Matronne Ixniaa]], 0.4900, 0.7500, 1, 4, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:16046:50:28:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:0:0|hMatron's Mark|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:16146:50:31:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:0:0|h|h]] ) -- Ixniaa's Jewels

table.insert(bossData, { #bossData+1,  AZI.ARX_CORINIUM, [[Ancient Lurcher]], [[]], [[Suturé Antique]], 0.2800, 0.5100, 1, 5, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55425:4:31:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hHelmet of the Red Mountain|h]] )

table.insert(bossData, { #bossData+1,  AZI.ARX_CORINIUM, [[Sellistrix the Lamia Queen]], [[]], [[Sellistrix la Reine des Lamies]], 0.1500, 0.3200, 1, 6, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55425:4:31:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hHelmet of the Red Mountain|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:34375:11:0:0:0:0:0:0:0:0:0:0:0:0:0:19:0:0:10000:0|hBoon of the Three Sisters|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:16045:49:31:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:0:0|hFang of the Lamia Queen|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:16044:49:31:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:0:0|h|h]] ) -- Sellistrix's Siphon

table.insert(bossData, { #bossData+1,  AZI.BLACKHEART_HAVEN, [[Iron-Heel]], [[]], [[]], 0.7568, 0.5547, 1, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22189:7:43:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hJewels of the Iliac Bay|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22196:7:43:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:0:0|h|h]] )-- Pillager's Ring

table.insert(bossData, { #bossData+1,  AZI.BLACKHEART_HAVEN, [[Atarus]], [[]], [[]], 0.6500, 0.3200, 2, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22187:8:43:0:0:0:0:0:0:0:0:0:0:0:0:3:0:0:0:0|hAtarus' Masher|h]] )

table.insert(bossData, { #bossData+1,  AZI.BLACKHEART_HAVEN, [[First Mate Wavecutter]], [[]], [[]], 0.5297, 0.7245, 3, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22156:7:43:0:0:0:0:0:0:0:0:0:0:0:0:3:0:0:0:0|h|h]] )-- First Mate's Mark

table.insert(bossData, { #bossData+1,  AZI.BLACKHEART_HAVEN, [[Roost Mother]], [[]], [[]], 0.5455, 0.4713, 3, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22171:8:43:0:0:0:0:0:0:0:0:0:0:0:0:19:0:0:0:0|h|h]] )-- Roost Mother's Branch      

table.insert(bossData, { #bossData+1,  AZI.BLACKHEART_HAVEN, [[Hollow Heart]], [[]], [[]], 0.5584, 0.0845, 3, 3, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22157:7:43:0:0:0:0:0:0:0:0:0:0:0:0:3:0:0:0:0|hHollow-Heart Pendant|h]] )-- Hollow-Heart Pendant    

table.insert(bossData, { #bossData+1,  AZI.BLACKHEART_HAVEN, [[Captain Blackheart]], [[]], [[]], 0.7200, 0.5650, 4, 1, nil, { } })
	
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:23669:8:43:0:0:0:0:0:0:0:0:0:0:0:0:3:0:0:10000:0|hShield of the Black Death|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:34382:11:0:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:10000:0|hShifty Tom's Pillaging Garb|h]] )

table.insert(bossData, { #bossData+1,  AZI.BLESSED_CRUCIBLE, [[Grunt the Clever]], [[Bleusaille l'Astucieux]], [[Grunzer der Gewitzte]], 0.4700, 0.3200, 1, 1, nil, { } })
	
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22184:7:43:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|h|h]] )

table.insert(bossData, { #bossData+1,  AZI.BLESSED_CRUCIBLE, [[Dynus Aralas]], [[Dynus Aralas]], [[Dynus Aralas]], 0.5600, 0.5000, 1, 2, [[The Wolf Pack]], { } })
		
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22162:8:43:0:0:0:0:0:0:0:0:0:0:0:0:4:0:0:0:0|h|h]] )-- Wolfpack Staff

table.insert(bossData, { #bossData+1,  AZI.BLESSED_CRUCIBLE, [[Kayd at-Sal]], [[Kayd at-Sal]], [[Kayd at-Sal]], 0.5600, 0.5000, 1, 3, [[The Wolf Pack]], { } })	
table.insert(bossData, { #bossData+1,  AZI.BLESSED_CRUCIBLE, [[Nusana]], [[Nusana]], [[Nusana]], 0.5600, 0.5000, 1, 4, [[The Wolf Pack]] , { } })	
table.insert(bossData, { #bossData+1,  AZI.BLESSED_CRUCIBLE, [[Snagg gro-Mashul]], [[Snagg gro-Mashul]], [[Snagg gro-Mashul]], 0.5600, 0.5000, 1, 5, [[The Wolf Pack]] , { } })	
table.insert(bossData, { #bossData+1,  AZI.BLESSED_CRUCIBLE, [[Teranya the Faceless]], [[Téranya la Sans-Visage]] , [[Teranya die Gesichtslose]], 0.5000, 0.7200, 1, 6, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22194:7:43:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:0:0|h|h]] )-- Mark of the Morag Tong

table.insert(bossData, { #bossData+1,  AZI.BLESSED_CRUCIBLE, [[Stinger]], [[Dardeur]], [[Der Stachel]], 0.2000, 0.2200, 2, 1, nil, { } })	
table.insert(bossData, { #bossData+1,  AZI.BLESSED_CRUCIBLE, [[The Troll King]], [[Le Roi des Trolls]], [[Der Trollkönig]], 0.2400, 0.2300, 2, 2, nil, { } })	
	
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43921:4:43:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|h|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22161:8:43:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:0:0|hBeastmaster's Crop|h]] )

table.insert(bossData, { #bossData+1,  AZI.BLESSED_CRUCIBLE, [[Captain Thoran]], [[Le Capitaine Thoran]], [[Hauptmann Thoran]], 0.3826, 0.4560, 2, 3, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22169:7:43:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:0:0|h|h]] )-- Captain's Medallion
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:23663:7:43:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:0:0|h|h]] )-- Thoran's Bond-Ring

table.insert(bossData, { #bossData+1,  AZI.BLESSED_CRUCIBLE, [[The Lava Queen]], [[La Reine de Lave]], [[Die Lavakönigin]], 0.4900, 0.6300, 2, 4, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22166:8:43:0:0:0:0:0:0:0:0:0:0:0:0:4:0:0:0:0|h|h]] )-- Claymore of the Crucible
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:23670:8:43:0:0:0:0:0:0:0:0:0:0:0:0:4:0:0:0:0|h|h]] )-- Brimstone Staff
	
table.insert(bossData, { #bossData+1,  AZI.CITY_OF_ASH, [[Golor the Banekin Handler]], [[Golor le Dresseur de Portemorts]], [[Golor der Unheilsbrutbändiger]], 0.2000, 0.6700, 1, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:23710:50:31:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|hScamplord's Signet|h]] )

table.insert(bossData, { #bossData+1,  AZI.CITY_OF_ASH, [[Warden of the Shrine]], [[Gardien du Sanctuaire]], [[Hüter des Schreins]], 0.2800, 0.5900, 1, 2, nil, { } })	

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:23714:49:30:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|hStaff of the Grove|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:5832:49:31:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hAegis of Ash|h]] )

table.insert(bossData, { #bossData+1,  AZI.CITY_OF_ASH, [[Infernal Guardian]], [[Gardien Infernal]], [[Infernaler Wächter]], 0.4450, 0.2000, 1, 3, nil, { } })	

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55424:4:30:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:10000:0|hGloves of the Necromancer|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:23715:49:31:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|hWildmaul|h]] )

table.insert(bossData, { #bossData+1,  AZI.CITY_OF_ASH, [[Dark Ember]], [[Braise Noire]], [[Dunkelglut]], 0.3750, 0.4000, 1, 4, nil, { } })	
table.insert(bossData, { #bossData+1,  AZI.CITY_OF_ASH, [[Rothariel Flameheart]], [[Rothariël Flammecœur]], [[]], 0.5450, 0.5200, 1, 5, nil, {  } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:23734:50:31:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|hRothariel's Necklace|h]] )

table.insert(bossData, { #bossData+1,  AZI.CITY_OF_ASH, [[Razor Master Erthas]], [[Le Maître-Rasoir Erthas]], [[]], 0.7100, 0.6710, 1, 6, nil, { } })	
--table.insert(bossData, { #bossData+1,  AZI.COLDHARBOUR, [[Cynhamoth]], [[]], [[]], 0.4794, 0.5264, 1, 1, nil, { } })
--
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:42985:7:50:0:0:0:0:0:0:0:0:0:0:0:0:20:0:1:0:0|h|h]] )		
--
--table.insert(bossData, { #bossData+1,  AZI.COLDHARBOUR, [[Duriatundur]], [[]], [[]], 0.2343, 0.5900, 1, 1, nil, { } })
--
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:42981:7:45:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hDuriatundur's Frigid Amulet|h]] )
--
--table.insert(bossData, { #bossData+1,  AZI.COLDHARBOUR, [[Sthorha The Crazed]], [[]], [[]], 0.3577, 0.5075, 1, 1, nil, { } })
--
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:42980:7:45:0:0:0:0:0:0:0:0:0:0:0:0:20:0:1:10000:0|h|h]] )
--
--table.insert(bossData, { #bossData+1,  AZI.COLDHARBOUR, [[Zemarek-Thul]], [[]], [[]], 0.6159, 0.7510, 1, 1, nil, { } })
--
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:42982:7:47:0:0:0:0:0:0:0:0:0:0:0:0:7:0:1:10000:0|h|h]] )
--
--table.insert(bossData, { #bossData+1,  AZI.COLDHARBOUR, [[Nolagha]], [[]], [[]], 0.5625, 0.5696, 1, 1, nil, { } })
--
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:42983:7:47:0:0:0:0:0:0:0:0:0:0:0:0:20:0:1:10000:0|h|h]] )
--
--table.insert(bossData, { #bossData+1,  AZI.COLDHARBOUR, [[Cirterisse]], [[]], [[]], 0.7470, 0.6310, 2, 1, nil, { } })
--
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:34528:7:45:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:371:0|h|h]] )

table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_HEARTS, [[The Mage Master]], [[Le Maître Mage]], [[Der Magiermeister]], 0.2000, 0.3450, 1, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:16144:50:31:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hMage Master's Signet|h]] )

table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_HEARTS, [[Archmaster Siniel]], [[L’Archimaître Siniel]], [[Erzmeister Siniel]], 0.4300, 0.1550, 1, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:23716:49:29:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hArchmaster's Ritestaff|h]] )-- Archmaster's Ritestaff

table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_HEARTS, [[Death's Leviathan]], [[Léviathan de la Mort]], [[Gigant des Todes]] , 0.6600, 0.3950, 1, 3, nil, { } })	

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:23713:49:29:0:0:0:0:0:0:0:0:0:0:0:0:17:0:0:0:0|hBonehammer|h]] )-- Bonehammer

table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_HEARTS, [[Uulkar Bonehand]], [[Uulkar Main D'Os]], [[Uulkar Knochenhand]], 0.6700, 0.5950, 1, 4, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:16047:50:31:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|h|h]] )-- Bonehand's Amulet

table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_HEARTS, [[Dogas the Berserker]], [[Dogas le Berserker]], [[Dogas der Berserker]], 0.5300, 0.6700, 1, 5, nil, { } })	
	
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:16042:50:29:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hPulsing Dremora Ring|h]] )-- Athor's Sundering Voice    

table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_HEARTS, [[Ilambris-Zaven]], [[Ilambris-Zaven]], [[Ilambris-Zaven]], 0.5300, 0.7900, 1, 6, [[Ilambris]], { } })	
table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_HEARTS, [[Ilambris-Athor]], [[Ilambris-Athor]], [[Ilambris-Athor]], 0.5300, 0.7900, 1, 7, [[Ilambris]], { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:23727:49:31:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|h|h]] )-- Athor's Sundering Voice    

table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_HEARTS, [[Quest Rewards]], [[]], [[]], 0, 0, 1, 8, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:34376:11:0:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:10000:0|hHeartbreaker's Greaves|h]] )

table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_HEARTS_VETERAN, [[Ibelgast]], [[Ibelgast]], [[Ibelgast]], 0.2390, 0.2970, 1, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54990:230:50:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hIbelgast's Promise|h]] )-- Ibelgast's Promise    

table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_HEARTS_VETERAN, [[Ruzozuzalpamaz]], [[Ruzozuzalpamaz]], [[Ruzozuzalpamaz]], 0.4990, 0.2050, 1, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54988:249:50:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hRuzozuzalpamaz's Charged Barb|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54921:250:50:0:0:0:0:0:0:0:0:0:0:0:0:35:0:0:10000:0|h|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54923:250:50:0:0:0:0:0:0:0:0:0:0:0:0:35:0:0:10000:0|h|h]] )-- Pauldron of the Fire  

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54929:250:50:0:0:0:0:0:0:0:0:0:0:0:0:35:0:0:10000:0|h|h]] )-- Belt of the Air
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54932:250:50:0:0:0:0:0:0:0:0:0:0:0:0:35:0:0:10000:0|h|h]] )-- Belt of the Air
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54934:250:50:0:0:0:0:0:0:0:0:0:0:0:0:35:0:0:10000:0|h|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54937:250:50:0:0:0:0:0:0:0:0:0:0:0:0:35:0:0:10000:0|hEpaulets of Martial Knowledge|h]] )-- The Way of Martial Knowledge Set
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54939:250:50:0:0:0:0:0:0:0:0:0:0:0:0:35:0:0:10000:0|hSash of Martial Knowledge|h]] )-- The Way of Martial Knowledge Set

table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_HEARTS_VETERAN, [[Ilambris Amalgam]], [[L’Amalgame Ilambris]], [[Das Ilambris-Amalgam]], 0.5720, 0.3900, 1, 3, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54924:250:50:0:0:0:0:0:0:0:0:0:0:0:0:35:0:0:10000:0|hGauntlets of the Fire|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54932:250:50:0:0:0:0:0:0:0:0:0:0:0:0:35:0:0:10000:0|hBelt of the Air|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54989:250:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:10000:0|hMallet of the Devourer|h]] )

table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_HEARTS_VETERAN, [[Mezeluth]], [[Mezeluth]], [[Mezeluth]], 0.5200, 0.8710, 1, 4, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54992:248:50:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hMezeluth's Ring|h]] )-- mezeluth's Ring

table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_HEARTS_VETERAN, [[Chamber Guardian]], [[Gardien de la Chambre]], [[Kammerwächter]], 0.8410, 0.1650, 1, 5, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54991:248:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|h|h]] )-- Band of Bone Cracking

table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_HEARTS_VETERAN, [[Ilambris-Zaven]], [[Ilambris-Zaven]], [[Ilambris-Zaven]], 0.5120, 0.3762, 1, 6, [[Ilambris]], { } })	
table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_HEARTS_VETERAN, [[Ilambris-Athor]], [[Ilambris-Athor]], [[Ilambris-Athor]], 0.5120, 0.3762, 1, 7, [[Ilambris]], { } })	
table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_HEARTS_VETERAN, [[Nerien'eth]], [[Nérien'eth]], [[Nerien'eth]], 0.4910, 0.3413, 2, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54935:250:50:0:0:0:0:0:0:0:0:0:0:0:0:35:0:0:10000:0|hShirt of Martial Knowledge|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54940:250:50:0:0:0:0:0:0:0:0:0:0:0:0:35:0:0:10000:0|hBreeches of Martial Knowledge|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54987:249:50:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hNerien'eth's Forsaken Staff|h]] )

table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_HEARTS_VETERAN, [[Random Drops]], [[]], [[]], 0, 0, 1, 8, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54205:4:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hPetrified Spider Egg|h]] ) 

table.insert(bossData, { #bossData+1,  AZI.DARKSHADE_CAVERNS_NORMAL, [[Head Shepherd Neloren]], [[La Bergère En Chef Nélorën]], [[Oberhirtin Neloren]], 0.5400, 0.1900, 1, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:16209:50:23:0:0:0:0:0:0:0:0:0:0:0:0:4:0:0:0:0|h|h]] )-- Kwama Shepherd's Charm

table.insert(bossData, { #bossData+1,  AZI.DARKSHADE_CAVERNS_NORMAL, [[Foreman Llothan]], [[Le Contremaître Llothan]], [[Vorarbeiter Llothan]], 0.6897, 0.2405, 1, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22116:49:23:0:0:0:0:0:0:0:0:0:0:0:0:4:0:0:0:0|hLlothan's Burning Crutch|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29523:4:20:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:0:0|hClaw of the Dragon|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55386:4:23:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hEpaulets of the Warlock|h]] )

table.insert(bossData, { #bossData+1,  AZI.DARKSHADE_CAVERNS_NORMAL, [[The Hive Lord]], [[Le Seigneur de la Ruche]], [[Der Schwarmfürst]], 0.7050, 0.7279, 1, 3, nil, { } }) 

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29524:4:23:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|hBastion of the Dragon|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22112:49:20:0:0:0:0:0:0:0:0:0:0:0:0:19:0:0:10000:0|hHive Lord's Shell|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:16215:49:23:0:0:0:0:0:0:0:0:0:0:0:0:19:0:0:0:0|hDeadly Pincer|h]] )

table.insert(bossData, { #bossData+1,  AZI.DARKSHADE_CAVERNS_NORMAL, [[Cavern Patriarch]], [[Le Patriarche de la Caverne]], [[Höhlenpatriarch]], 0.5614, 0.6699, 1, 4, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54216:4:20:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hLashing Tentacle|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22121:50:23:0:0:0:0:0:0:0:0:0:0:0:0:17:0:0:0:0|hLambent Netch Tentacles|h]] )

table.insert(bossData, { #bossData+1,  AZI.DARKSHADE_CAVERNS_NORMAL, [[Sentinel of Rkugamz]], [[Sentinelle de Rkugamz]], [[Wachposten von Rkugamz]], 0.4519, 0.7295, 1, 5, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:5921:49:23:0:0:0:0:0:0:0:0:0:0:0:0:34:0:0:0:0|hImperial Warhammer|h]] )-- Imperial Arm-Cleaver
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:30584:49:23:0:0:0:0:0:0:0:0:0:0:0:0:34:0:0:0:0|hImperial Arm-Cleaver|h]] )-- Imperial Arm-Cleaver

table.insert(bossData, { #bossData+1,  AZI.DARKSHADE_CAVERNS_NORMAL, [[Cutting Sphere]], [[Sphère Tranchante]], [[Schnittersphäre]], 0.4407, 0.5675, 1, 6, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:34372:11:0:0:0:0:0:0:0:0:0:0:0:0:0:4:0:0:10000:0|hHelm of House Selos|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:16211:50:23:0:0:0:0:0:0:0:0:0:0:0:0:34:0:0:0:0|hLost Imperial Band|h]] )-- Lost Imperial Band

table.insert(bossData, { #bossData+1,  AZI.DARKSHADE_CAVERNS_VETERAN, [[The Fallen Foreman]], [[Le Contremaître Déchu]], [[Der Gefallene Vorarbeiter]], 0.3500, 0.2900, 1, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:28119:70:50:0:0:0:0:0:0:0:0:0:0:0:0:4:0:0:0:0|hForeman's Ring|h]] )-- Foreman's Ring

table.insert(bossData, { #bossData+1,  AZI.DARKSHADE_CAVERNS_VETERAN, [[Transmuted Hive Lord]], [[Seigneur de Ruche Transmuté]] , [[Verwandelter Schwarmfürst]], 0.7150, 0.2770, 1, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:7690:80:50:0:0:0:0:0:0:0:0:0:0:0:0:3:0:0:0:0|hFist of the Hive Lord|h]] )-- Transmuted Kwama Shell
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29449:80:50:0:0:0:0:0:0:0:0:0:0:0:0:3:0:0:10000:0|hTransmuted Kwama Shell|h]] )-- Transmuted Kwama Shell
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54280:100:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|hSavior's Arm Cops|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54281:100:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|hSavior's Jack|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54401:100:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|hSash of the Worm Cult|h]] )

table.insert(bossData, { #bossData+1,  AZI.DARKSHADE_CAVERNS_VETERAN, [[Transmuted Alit]], [[]], [[]], 0.7070, 0.7290, 1, 3, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29461:70:50:0:0:0:0:0:0:0:0:0:0:0:0:3:0:0:0:0|hAlit Tongue Charm|h]] )-- Alit Tongue Charm

table.insert(bossData, { #bossData+1,  AZI.DARKSHADE_CAVERNS_VETERAN, [[Grobull the Transmuted]], [[Grobull le Transmuté]], [[Grobull der Verwandelte]], 0.5640, 0.6720, 1, 4, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55373:100:50:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hAmulet of Conflagration|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55375:100:50:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|h|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54283:100:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|hSavior's Belt|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29466:80:50:0:0:0:0:0:0:0:0:0:0:0:0:3:0:0:0:0|hGrobull's Charge|h]] )-- Grobull's Charge

table.insert(bossData, { #bossData+1,  AZI.DARKSHADE_CAVERNS_VETERAN, [[The Army]], [[]], [[]], 0.5350, 0.8760, 1, 5, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:15679:70:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hAutomaton Gem|h]] )-- Automaton Gem

table.insert(bossData, { #bossData+1,  AZI.DARKSHADE_CAVERNS_VETERAN, [[The Engine Guardian]], [[Le Gardien du Moteur]], [[Der Maschinenwächter]], 0.1840, 0.5385, 1, 6, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55377:99:50:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hArsonist's Staff|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54403:100:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|hShoes of the Worm Cult|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:28114:80:50:0:0:0:0:0:0:0:0:0:0:0:0:3:0:0:0:0|hPincer of the Guardian|h]] )-- Pincer of the Guardian  

table.insert(bossData, { #bossData+1,  AZI.DARKSHADE_CAVERNS_VETERAN, [[Quest Rewards]], [[]], [[]], 0, 0, 1, 7, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:34389:90:0:0:0:0:0:0:0:0:0:0:0:0:0:19:0:0:10000:0|h|h]] )-- Ancient Robes

table.insert(bossData, { #bossData+1,  AZI.DIREFROST_KEEP, [[Teethnasher the Frostbound]], [[Brisedents le Givrepris]], [[Zahnknirscher der Frostgebundene]], 0.5380, 0.8337, 1, 1, nil, {  } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:33159:7:37:0:0:0:0:0:0:0:0:0:0:0:0:19:0:0:0:0|hTroll-Tooth Necklace|h]] )

table.insert(bossData, { #bossData+1,  AZI.DIREFROST_KEEP, [[Guardian of the Flame]], [[Le Gardien de la Flamme]], [[Wächter der Flamme]], 0.6732, 0.5167, 1, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:33275:8:37:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:0:0|hWitchdrinker|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43903:4:37:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|h|h]] )-- Darkstride Belt
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43906:4:37:0:0:0:0:0:0:0:0:0:0:0:0:4:0:0:0:0|h|h]] )-- Greaves of the Dreugh king Slayer [set]

table.insert(bossData, { #bossData+1,  AZI.DIREFROST_KEEP, [[Drodda's Dreadlord]], [[Seigneur D'effroi de Drodda]], [[Droddas Schreckensfürst]], 0.2631, 0.3627, 1, 3, nil, { } })	

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:33286:7:35:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:0:0|hDreadlord's Mark|h]] )

table.insert(bossData, { #bossData+1,  AZI.DIREFROST_KEEP, [[Iceheart]], [[Cœur-de-Glace]], [[Eisherz]], 0.6636, 0.1677, 1, 4, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:33272:8:37:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hShard of Iceheart|h]] )

table.insert(bossData, { #bossData+1,  AZI.DIREFROST_KEEP, [[Drodda of Icereach]], [[Drodda de Crève-Nève]], [[Drodda von Eiskap]], 0.4876, 0.7691, 2, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:33283:8:37:0:0:0:0:0:0:0:0:0:0:0:0:17:0:0:0:0|hDrodda's Withering Edge|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:34378:11:0:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|hHabit of the Witch-Hunter|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43903:4:37:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|h|h]] )-- Darkstride Belt

table.insert(bossData, { #bossData+1,  AZI.ELDEN_HOLLOW_NORMAL, [[Akash gra-Mal]], [[Akash gra-Mal]], [[]], 0.6950, 0.6200, 1, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29524:4:22:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|hBastion of the Dragon|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:16221:49:22:0:0:0:0:0:0:0:0:0:0:0:0:19:0:0:0:0|hAkash's First Love|h]] )-- Akash's First Love

table.insert(bossData, { #bossData+1,  AZI.ELDEN_HOLLOW_NORMAL, [[Ancient Spriggan]], [[]], [[Uralter Zweigling]] , 0.7180, 0.7070, 1, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22125:50:23:0:0:0:0:0:0:0:0:0:0:0:0:19:0:0:0:0|h|h]] )-- grandmother's lace

table.insert(bossData, { #bossData+1,  AZI.ELDEN_HOLLOW_NORMAL, [[Chokethorn]], [[Ronce Étouffeuse]], [[Würgedorn]], 0.9150, 0.4650, 1, 3, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29517:4:22:0:0:0:0:0:0:0:0:0:0:0:0:9:0:0:10000:0|hEmbrace of Shadows|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55387:4:23:0:0:0:0:0:0:0:0:0:0:0:0:9:0:0:10000:0|hGuards of Shadows|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29513:4:23:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hRobes of the Warlock|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22127:49:23:0:0:0:0:0:0:0:0:0:0:0:0:19:0:0:0:0|h|h]] )-- Chokethorn's Healing Root

table.insert(bossData, { #bossData+1,  AZI.ELDEN_HOLLOW_NORMAL, [[Nenesh gro-Mal]], [[Nenesh gro-Mal]], [[]], 0.6610, 0.3890, 1, 4, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:16214:50:23:0:0:0:0:0:0:0:0:0:0:0:0:3:0:0:0:0|h|h]] )-- Tribal Hair-Knot

table.insert(bossData, { #bossData+1,  AZI.ELDEN_HOLLOW_NORMAL, [[Leafseether]], [[Rampefeuille]], [[Blattgärer]], 0.7200, 0.3550, 1, 5, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22128:50:22:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:0:0|hPendant of Vines|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:16212:50:23:0:0:0:0:0:0:0:0:0:0:0:0:19:0:0:0:0|h|h]] )-- Leafring

table.insert(bossData, { #bossData+1,  AZI.ELDEN_HOLLOW_NORMAL, [[Canonreeve Oraneth]], [[La Haute Chanoinesse Oraneth]], [[Stiftsvogt Oraneth]], 0.5400, 0.3100, 1, 6, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:16213:49:22:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:0:0|hThe Thalmor Gavel|h]] )-- The Thalmor Gavel

table.insert(bossData, { #bossData+1,  AZI.ELDEN_HOLLOW_NORMAL, [[Quest Rewards]], [[]], [[]], 0, 0, 1, 7, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:34373:11:0:0:0:0:0:0:0:0:0:0:0:0:0:9:0:0:10000:0|hBakkhara's Last Gift|h]] )-- The Thalmor Gavel

table.insert(bossData, { #bossData+1,  AZI.ELDEN_HOLLOW_VETERAN, [[Dubroze the Infester]], [[Dubroze l'Infestateur]], [[Dubroze der Heimsucher]], 0.7200, 0.6400, 1, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29458:70:50:0:0:0:0:0:0:0:0:0:0:0:0:3:0:0:0:0|hDaedroth Tooth Necklace|h]] )-- Daedroth Tooth Necklace

table.insert(bossData, { #bossData+1,  AZI.ELDEN_HOLLOW_VETERAN, [[Dark Root]], [[Racine Noire]], [[Dunkelwurz]], 0.7500, 0.6400, 1, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54275:100:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|h|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54278:100:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|hEbon Sabatons|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54403:100:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|hShoes of the Worm Cult|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54280:100:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|hSavior's Arm Cops|h]] )
  	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29467:80:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|hDark Root of Restoration|h]] )-- Dark Root of Restoration        

table.insert(bossData, { #bossData+1,  AZI.ELDEN_HOLLOW_VETERAN, [[Azara the Frightener]], [[Azara la Terrifiante]] , [[Azara die Furchtbringerin]], 0.9040, 0.5200, 1, 3, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:15546:70:50:0:0:0:0:0:0:0:0:0:0:0:0:17:0:0:0:0|hJewel of Azara|h]] )-- Jewel of Azara

table.insert(bossData, { #bossData+1,  AZI.ELDEN_HOLLOW_VETERAN, [[Murklight]], [[Fange-Jour]], [[Düsterlicht]], 0.2310, 0.2620, 1, 4, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:28886:80:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|h|h]] )-- Murkhammer

table.insert(bossData, { #bossData+1,  AZI.ELDEN_HOLLOW_VETERAN, [[The Shadow Guard]], [[Le Garde D'ombre]], [[Die Schattenwache]], 0.4850, 0.3080, 1, 5, nil, { } })	

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:26168:70:50:0:0:0:0:0:0:0:0:0:0:0:0:17:0:0:0:0|hBand of the Shadow Guard|h]] )-- Band of the Shadow Guard
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29462:70:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:0:0|hOraneth's Lost Jewels|h]] )-- Oraneth's Lost Jewels

table.insert(bossData, { #bossData+1,  AZI.ELDEN_HOLLOW_VETERAN, [[Bogdan the Nightflame]], [[Bogdan la Nocteflamme]], [[Bogdan die Nachtflamme]], 0.5030, 0.8490, 1, 6, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54401:95:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|hSash of the Worm Cult|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55367:100:50:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:10000:0|hShield of the Man-Bull|h]] ) 

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:15767:80:50:0:0:0:0:0:0:0:0:0:0:0:0:17:0:0:0:0|hBogdan's Claw|h]] )-- Bogdan's Claw
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29459:80:50:0:0:0:0:0:0:0:0:0:0:0:0:17:0:0:0:0|hBogdan's Flame|h]] )-- Bogdan's Flame

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54283:100:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|h|h]] )

table.insert(bossData, { #bossData+1,  AZI.ELDEN_HOLLOW_VETERAN, [[Quest Rewards]], [[]], [[]], 0, 0, 1, 7, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:34388:90:0:0:0:0:0:0:0:0:0:0:0:0:0:9:0:0:10000:0|hKargand's Helmet|h]] )-- Kargand's Helmet    

table.insert(bossData, { #bossData+1,  AZI.FUNGAL_GROTTO_NORMAL, [[Tazkad the Packmaster]], [[Tazkad le Maître de Meute]], [[Tazkad der Rudelführer]] , 0.6300, 0.8400, 1, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:10961:50:12:0:0:0:0:0:0:0:0:0:0:0:0:3:0:0:0:0|hTazkad's Band|h]] )-- Tazkad's Band
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29096:50:15:0:0:0:0:0:0:0:0:0:0:0:0:3:0:0:0:0|hHuntmaster's Leash|h]] )-- Huntmaster's Leash

table.insert(bossData, { #bossData+1,  AZI.FUNGAL_GROTTO_NORMAL, [[War Chief Ozozai]], [[Le Chef de Guerre Ozozai]], [[Kriegshäuptling Ozozai]] , 0.7950, 0.6250, 1, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29084:49:15:0:0:0:0:0:0:0:0:0:0:0:0:3:0:0:0:0|h|h]] )-- War Chief's Firebrand
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29067:49:15:0:0:0:0:0:0:0:0:0:0:0:0:3:0:0:0:0|hDreughsdeath|h]] )-- Dreughsdeath

table.insert(bossData, { #bossData+1,  AZI.FUNGAL_GROTTO_NORMAL, [[Broodbirther]], [[Gestenuée]], [[Die Brutbringerin]], 0.3980, 0.2380, 1, 3, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29070:50:15:0:0:0:0:0:0:0:0:0:0:0:0:17:0:0:0:0|h|h]] )-- Broodmother's Knot

table.insert(bossData, { #bossData+1,  AZI.FUNGAL_GROTTO_NORMAL, [[Clatterclaw]], [[Cliquegriffe]], [[Klapperschere]], 0.4820, 0.4180, 1, 4, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29095:50:15:0:0:0:0:0:0:0:0:0:0:0:0:17:0:0:0:0|hCrabclaw Charm|h]] )-- Crabclaw Charm

table.insert(bossData, { #bossData+1,  AZI.FUNGAL_GROTTO_NORMAL, [[Kra'gh the Dreugh King]], [[Kra'gh le Roi des Dreugh]], [[Kra'gh der Dreughkönig]] , 0.3630, 0.4360, 1, 5, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29086:49:15:0:0:0:0:0:0:0:0:0:0:0:0:17:0:0:0:0|hDreugh King's Totem|h]] )-- Dreugh King's Totem    
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29088:49:15:0:0:0:0:0:0:0:0:0:0:0:0:17:0:0:0:0|hGoblinsbane|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:34371:11:0:0:0:0:0:0:0:0:0:0:0:0:0:4:0:0:10000:0|hVila's Recompense|h]] )

table.insert(bossData, { #bossData+1,  AZI.FUNGAL_GROTTO_NORMAL, [[Quest Rewards]], [[]], [[]], 0, 0, 1, 6, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:34385:85:0:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|h|h]] )-- Shroud of the Resolute		

table.insert(bossData, { #bossData+1,  AZI.FUNGAL_GROTTO_VETERAN, [[Mephala's Fang]], [[Croc de Méphala]], [[Mephalas Biss]], 0.6300, 0.8400, 1, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:28115:65:50:0:0:0:0:0:0:0:0:0:0:0:0:4:0:0:0:0|hSpidersilk Garland|h]] )-- Spidersilk Garland

table.insert(bossData, { #bossData+1,  AZI.FUNGAL_GROTTO_VETERAN, [[Gamyne Bandu]], [[Gamyne Bandu]], [[Gamyne Bandu]], 0.7900, 0.6200, 1, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:32175:75:50:0:0:0:0:0:0:0:0:0:0:0:0:4:0:0:0:0|h|h]] )-- Knife of Shadows
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55368:95:50:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hWhite Bow of Alinor|h]] )

table.insert(bossData, { #bossData+1,  AZI.FUNGAL_GROTTO_VETERAN, [[Ciirenas the Shepherd]], [[Ciirenas la Bergère]], [[Ciirenas die Hirtin]] , 0.4000, 0.2400, 1, 3, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:32168:75:50:0:0:0:0:0:0:0:0:0:0:0:0:4:0:0:0:0|hDebaser|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:32176:65:50:0:0:0:0:0:0:0:0:0:0:0:0:4:0:0:0:0|hMender's Mark|h]] )-- Mender's Mark	

table.insert(bossData, { #bossData+1,  AZI.FUNGAL_GROTTO_VETERAN, [[Spawn of Mephala]], [[Engeance de Méphala]], [[Brut von Mephala]], 0.3700, 0.4400, 1, 4, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:139:75:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:10000:0|h|h]] )-- Webspinner's Brace
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54272:95:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|hEbon Helm|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54274:95:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|h|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54280:100:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|hSavior's Arm Cops|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54286:95:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|hEpaulets of the Worm Cult|h]] ) 
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55365:94:50:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hThe Ebon Sledge|h]] )

table.insert(bossData, { #bossData+1,  AZI.FUNGAL_GROTTO_VETERAN, [[Reggr Dark-Dawn]], [[Reggr Aubenoire]], [[Reggr Dunkeldämmern]], 0.0900, 0.5200, 1, 5, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:32177:65:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:0:0|hBand of the Breaker|h]] )-- Band of the Breaker	

table.insert(bossData, { #bossData+1,  AZI.FUNGAL_GROTTO_VETERAN, [[Vila Theran]], [[]], [[]], 0.3700, 0.7700, 1, 6, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:28122:75:50:0:0:0:0:0:0:0:0:0:0:0:0:4:0:0:0:0|h|h]] )-- Widow's Voidstaff
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:32164:75:50:0:0:0:0:0:0:0:0:0:0:0:0:4:0:0:0:0|h|h]] )-- Nightcaller

table.insert(bossData, { #bossData+1,  AZI.FUNGAL_GROTTO_VETERAN, [[Quest Rewards]], [[]], [[]], 0, 0, 1, 7, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:34385:65:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:10000:0:0|h|h]] )-- Shroud of the Resolute		

table.insert(bossData, { #bossData+1,  AZI.HEL_RA_CITADEL, [[Ra Kotu]], [[Ra Kotu]], [[Ra Kotu]], 0.5750, 0.5618, 1, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29521:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|hCrest of the Dragon|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29522:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|hScales of the Dragon|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29523:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:0:0|hClaw of the Dragon|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29524:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|hBastion of the Dragon|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55388:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:0:0|hClasp of the Dragon|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44127:250:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hBracers of Salvation|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44128:250:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hLeg Guards of Salvation|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44129:250:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hJack of Salvation|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44130:250:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hBelt of Salvation|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44131:250:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hBoots of Salvation|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43785:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hEpaulets of the Sun|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43786:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hRobe of the Sun|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43787:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hStaff of the Sun|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55407:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hNecklace of the Sun|h]] )-- Hood of the Sun 
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55408:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|h|h]] )-- Hood of the Sun 

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43851:250:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hShoulder Cops of the Red Mountain|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43852:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hLeg Guards of the Red Mountain|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43853:250:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hJack of the Red Mountain|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43854:250:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hBelt of the Red Mountain|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55425:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|hHelmet of the Red Mountain|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43885:250:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hEpaulets of Syrabane|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43886:250:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hGloves of Syrabane|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44146:250:50:0:0:0:0:0:0:0:0:0:0:0:0:9:0:0:10000:0|h|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44150:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:0:0|hRing of the Unassailable|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44151:250:50:0:0:0:0:0:0:0:0:0:0:0:0:9:0:0:0:0|hBand of the Unassailable|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43962:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|hCuirass of Nikulas|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43960:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|hHelm of Nikulas|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43963:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:0:0|h|h]] )-- Sabatons of Nikulas
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43964:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|h|h]] )-- Sabatons of Nikulas

table.insert(bossData, { #bossData+1,  AZI.HEL_RA_CITADEL, [[Yokeda Kai]], [[L’Yokuda Kai]], [[Yokeda Kai]], 0.5384, 0.7325, 1, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29521:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|hCrest of the Dragon|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29522:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|hScales of the Dragon|h]] )
	
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43787:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hStaff of the Sun|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43851:250:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hShoulder Cops of the Red Mountain|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43886:250:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hGloves of Syrabane|h]] )
	
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43962:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|hCuirass of Nikulas|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43963:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|hSabatons of Nikulas|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44125:250:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hHelmet of Salvation|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44150:250:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|hRing of the Unassailable|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55407:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hNecklace of the Sun|h]] )

table.insert(bossData, { #bossData+1,  AZI.HEL_RA_CITADEL, [[Yokeda Rok'dun]], [[Yokeda Rok'dun]], [[Yokeda Rok'dun]], 0.4760, 0.6467, 1, 3, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44147:250:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hGreaves of the Unassailable|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44149:250:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:0:0|h|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44150:250:50:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:0:0|hRing of the Unassailable|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44151:250:50:0:0:0:0:0:0:0:0:0:0:0:0:4:0:0:0:0|hBand of the Unassailable|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44129:250:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hJack of Salvation|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43851:250:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hShoulder Cops of the Red Mountain|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43853:250:50:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hJack of the Red Mountain|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43854:250:50:0:0:0:0:0:0:0:0:0:0:0:0:4:0:0:10000:0|hBelt of the Red Mountain|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55425:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|hHelmet of the Red Mountain|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29524:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:0:0|h|h]] )-- Bastion of the Dragon
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43960:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|hHelm of Nikulas|h]] )-- Helm of Nikulas
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43961:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|hPauldrons of Nikulas|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43964:250:50:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:10000:0|h|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43886:250:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hGloves of Syrabane|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43887:250:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hRobe of Syrabane|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43889:250:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:0:0|hBand of Syrabane|h]] )

table.insert(bossData, { #bossData+1,  AZI.HEL_RA_CITADEL, [[The Warrior]], [[Le Guerrier]], [[Der Krieger]], 0.2132, 0.4686, 2, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54874:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hCuirass of the Yokeda|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54875:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hHelm of the Yokeda|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54886:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hShield of the Resilient Yokeda|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54889:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hAether Robes|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54900:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hEnergizing Aether Ring|h]] )
--	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55804:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hEnergizing Aether Ring|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54902:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hAether Staff of Mending|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54904:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hAether Ring of Restoration|h]] )


	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55811:354:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hOphidian Helm|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54908:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|hOphidian Spaulders of Celerity|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54910:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:10000:0|h|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54914:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|h|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54916:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hOphidian Ring of Energy|h]] )

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54917:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hSword of the Two-Fanged Snake|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54918:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hSword of the Two-Fanged Snake|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54920:251:50:0:0:0:0:0:0:0:0:0:0:0:0:27:0:0:0:0|hRing of the Two-Fanged Snake|h]] )

table.insert(bossData, { #bossData+1,  AZI.HEL_RA_CITADEL, [[Quest Rewards]], [[]], [[]], 0, 0, 1, 4, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54993:208:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hUndaunted Coffer|h]] )

table.insert(bossData, { #bossData+1,  AZI.SELENES_WEB, [[Treethane Kerninn]], [[Le Thane Sylvestre Kerninn]], [[Baumthane Kerninn]], 0.4706, 0.7039, 1, 1, nil, { } }) 

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22205:7:43:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|h|h]] )-- Treethane's Sigil

table.insert(bossData, { #bossData+1,  AZI.SELENES_WEB, [[Longclaw]], [[]], [[Langkralle]], 0.3215, 0.3993, 1, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:23666:8:42:0:0:0:0:0:0:0:0:0:0:0:0:9:0:0:0:0|hLongclaw's Bow|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43924:4:42:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|h|h]] )-- Shoes of the Shadow Dancer [set]

table.insert(bossData, { #bossData+1,  AZI.SELENES_WEB, [[Queen Aklayah]], [[]], [[Königin Aklayah]] , 0.4616, 0.3542, 1, 3, nil, { } })	

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:23668:7:43:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|h|h]] )-- Adventurer's Lost Medallion

table.insert(bossData, { #bossData+1,  AZI.SELENES_WEB, [[Foulhide]], [[]], [[Faulfell]], 0.6969, 0.4560, 1, 4, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22200:8:43:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|h|h]] )-- Foulhide's Fang	
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43963:4:43:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:0:0|h|h]] )-- Sabatons of Nikulas [set]

table.insert(bossData, { #bossData+1,  AZI.SELENES_WEB, [[Mennir Many-Legs]], [[]], [[Mennir Vielbein]], 0.4840, 0.4260, 1, 5, nil, { } })	

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22188:7:43:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|hArachnoid Ring|h]] )-- Arachnoid Ring

table.insert(bossData, { #bossData+1,  AZI.SELENES_WEB, [[Selene]], [[]], [[Selene]], 0.2307, 0.1280, 2, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22182:8:42:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|hWebcutter|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:34383:11:0:0:0:0:0:0:0:0:0:0:0:0:0:19:0:0:10000:0|hSelene's Battle Greaves|h]] )

table.insert(bossData, { #bossData+1,  AZI.SPINDLECLUTCH_NORMAL, [[Spindlekin]], [[Tresseuse]], [[Spindelbrut]], 0.3640, 0.3460, 1, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29072:50:15:0:0:0:0:0:0:0:0:0:0:0:0:3:0:0:0:0|h|h]] )-- Silky Threads

table.insert(bossData, { #bossData+1,  AZI.SPINDLECLUTCH_NORMAL, [[Swarm Mother]], [[La Mère de la Nuée]], [[Die Schwarmmutter]], 0.5840, 0.2160, 1, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29087:49:15:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hSwarm Mother's Sprig|h]] )-- swarm mother's sprig
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29065:49:15:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|h|h]] )-- spinner's pierce

table.insert(bossData, { #bossData+1,  AZI.SPINDLECLUTCH_NORMAL, [[Cerise the Widow-Maker]], [[]], [[]], 0.7760, 0.5240, 1, 3, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29097:50:15:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|h|h]] )-- Gilded Choker

table.insert(bossData, { #bossData+1,  AZI.SPINDLECLUTCH_NORMAL, [[Big Rabbu]], [[Gros Rabbu]], [[Rabbu der Große]] , 0.6020, 0.4820, 1, 4, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29097:50:15:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|h|h]] )-- Gilded Choker

table.insert(bossData, { #bossData+1,  AZI.SPINDLECLUTCH_NORMAL, [[The Whisperer]], [[La Chuchoteuse]], [[Die Flüsterin]], 0.3430, 0.7620, 1, 5, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54245:49:14:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hWhisperwoe|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:34369:11:0:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:10000:0|hChausses of the Spider-Slayer|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29066:49:15:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|h|h]] )-- Spindlecleave    

table.insert(bossData, { #bossData+1,  AZI.SPINDLECLUTCH_NORMAL, [[Quest Rewards]], [[]], [[]], 0, 0, 1, 6, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:34369:11:0:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:10000:0|h|h]] )

table.insert(bossData, { #bossData+1,  AZI.SPINDLECLUTCH_VETERAN, [[Mad Mortine]], [[Mortin le Fou]], [[Mortine der Verrückte]], 0.3200, 0.3300, 1, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:32181:65:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hGem of Madness|h]] )-- Gem of Madness

table.insert(bossData, { #bossData+1,  AZI.SPINDLECLUTCH_VETERAN, [[Blood Spawn]], [[Engeance de Sang]], [[Blutbrut]], 0.6300, 0.2200, 1, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55366:95:50:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hStaff of Fulmination|h]] )-- Staff of Fulmination
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55380:95:50:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hRestoration Ring of Thorn|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54401:95:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|hSash of the Worm Cult|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:32166:75:50:0:0:0:0:0:0:0:0:0:0:0:0:3:0:0:10000:0|hBloodfury|h]] )-- Bloodfury

table.insert(bossData, { #bossData+1,  AZI.SPINDLECLUTCH_VETERAN, [[Praxin Douare]], [[Praxin Douare]], [[Praxin Douare]], 0.8700, 0.3900, 1, 3, nil, { } })
	
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:32191:75:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|h|h]] )-- Nightmare

table.insert(bossData, { #bossData+1,  AZI.SPINDLECLUTCH_VETERAN, [[Flesh Atronach]], [[Atronach de Chair]], [[Fleischatronach]], 0.6500, 0.4800, 1, 4, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:28116:65:50:0:0:0:0:0:0:0:0:0:0:0:0:3:0:0:0:0|hFleshlinks|h]] )-- Fleshlinks

table.insert(bossData, { #bossData+1,  AZI.SPINDLECLUTCH_VETERAN, [[Urvan Veleth]], [[Urvan Veleth]], [[Urvan Veleth]], 0.3700, 0.8300, 1, 5, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:32182:65:50:0:0:0:0:0:0:0:0:0:0:0:0:34:0:0:0:0|hSignet of the Stalker|h]] )-- Signet of the Stalker   
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:10067:65:50:0:0:0:0:0:0:0:0:0:0:0:0:34:0:0:0:0|hChain of the Coven|h]] )-- Chain of the Coven
	 
table.insert(bossData, { #bossData+1,  AZI.SPINDLECLUTCH_VETERAN, [[Vorenor Winterbourne]], [[Vorénor Nédhiver]] , [[Vorenor Winterkind]], 0.7500, 0.8500, 1, 6, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:28884:75:50:0:0:0:0:0:0:0:0:0:0:0:0:34:0:0:0:0|hVampiric Scepter|h]] )-- Vampiric Scepter    
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:32163:75:50:0:0:0:0:0:0:0:0:0:0:0:0:34:0:0:0:0|hAx of Sacrifice|h]] )-- Ax of Sacrifice
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54278:95:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|h|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54400:100:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|hGloves of the Worm Cult|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54403:95:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|h|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55375:100:50:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hStaff of Everfrost|h]] )

table.insert(bossData, { #bossData+1,  AZI.SPINDLECLUTCH_VETERAN, [[Quest Rewards]], [[]], [[]], 0, 0, 1, 7, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:34386:65:50:0:0:0:0:0:0:0:0:0:0:0:0:34:0:0:10000:0|hAegis of Meridia|h]] )-- Aegis of Meridia    

table.insert(bossData, { #bossData+1,  AZI.TEMPEST_ISLAND, [[Sonolia the Matriarch]], [[Sonolia la Matriarche]] , [[Sonolia die Matriarchin]] , 0.5296, 0.3806, 1, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:33284:7:36:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:0:0|hMatriarch's Ring|h]] )

table.insert(bossData, { #bossData+1,  AZI.TEMPEST_ISLAND, [[Valaran Stormcaller]], [[Valaran Mande-Tempête]], [[Valaran Sturmrufer]], 0.3789, 0.4694, 2, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43906:4:37:0:0:0:0:0:0:0:0:0:0:0:0:4:0:0:0:0|h|h]] )-- Greaves of the Dreugh king Slayer [set]

table.insert(bossData, { #bossData+1,  AZI.TEMPEST_ISLAND, [[Yalorasse the Speaker]], [[Yalorasse l'oratrice]], [[Yalorasse die Sprecherin]], 0.7348, 0.5757, 3, 1, nil, { } })
		
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:33285:7:37:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:0:0|hSpeaker's Band|h]] )-- Speaker's Band

table.insert(bossData, { #bossData+1,  AZI.TEMPEST_ISLAND, [[Stormfist]], [[Poigne-Tempête]], [[Sturmfaust]], 0.8327, 0.3591, 2, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43889:4:37:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:0:0|h|h]] )-- Band of Syrabane
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43906:4:37:0:0:0:0:0:0:0:0:0:0:0:0:4:0:0:10000:0|hGreaves of the Dreugh King Slayer|h]] )

table.insert(bossData, { #bossData+1,  AZI.TEMPEST_ISLAND, [[Commodore Ohmanil]], [[Le Commandeur Ohmanil]] , [[Kommodore Ohmanil]], 0.3910, 0.4569, 4, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:33188:7:37:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:0:0|hCommodore's Medal|h]] )-- Commodore's Medal

table.insert(bossData, { #bossData+1,  AZI.TEMPEST_ISLAND, [[Stormreeve Neidir]], [[]], [[Sturmvogt Neidir]], 0.6675, 0.4827, 2, 3, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:34380:11:0:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hLeggings of the Lamia-Slayer|h]] )		

table.insert(bossData, { #bossData+1,  AZI.THE_BANISHED_CELLS_NORMAL, [[Cell Haunter]], [[Hantise de la Cellule]], [[Zellenspuk]], 0.8089, 0.7539, 1, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29071:50:15:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|h|h]] )-- Renanimating Pendant

table.insert(bossData, { #bossData+1,  AZI.THE_BANISHED_CELLS_NORMAL, [[Shadowrend]], [[Taillombre]], [[Schattenriss]], 0.6332, 0.5049, 1, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29083:49:15:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hDarktarge|h]] )-- Angata's Signet

table.insert(bossData, { #bossData+1,  AZI.THE_BANISHED_CELLS_NORMAL, [[Angata the Clannfear Handler]], [[Angata la Dresseuse de Faucheclans]], [[Angata die Clannbannzähmerin]], 0.4040, 0.6531, 1, 3, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29069:50:14:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hAngata's Signet|h]] )-- Angata's Signet

table.insert(bossData, { #bossData+1,  AZI.THE_BANISHED_CELLS_NORMAL, [[Skeletal Destroyer]], [[Destructeur Squelette]], [[Skelett-Zerstörer]], 0.4575, 0.1611, 1, 4, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:28112:50:12:0:0:0:0:0:0:0:0:0:0:0:0:17:0:0:0:0|hVertebral Ring|h]] )

table.insert(bossData, { #bossData+1,  AZI.THE_BANISHED_CELLS_NORMAL, [[High Kinlord Rilis]], [[Le Haut Patriarche Rilis]], [[Sippenhochfürst Rilis]], 0.2497, 0.4438, 1, 5, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:28113:75:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hStaff of the Banished|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29074:49:15:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:0:0|hGuilehammer|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:34370:11:0:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hBlessing of the Keepers|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29085:49:15:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:0:0|hHigh Kinlord's Revenge|h]] )-- High Kinlord's Revenge

table.insert(bossData, { #bossData+1,  AZI.THE_BANISHED_CELLS_VETERAN, [[Keeper Areldur]], [[La Gardienne Areldur]], [[Hüterin Areldur]], 0.8000, 0.7500, 1, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:32178:65:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hAreldur's Ring|h]] )-- Areldur's Ring

table.insert(bossData, { #bossData+1,  AZI.THE_BANISHED_CELLS_VETERAN, [[Maw of the Infernal]], [[Gueule de l'Infernal]], [[Der Schlund des Infernalen]], 0.6300, 0.5000, 1, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54286:95:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|hEpaulets of the Worm Cult|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55380:95:50:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hRestoration Ring of Thorn|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:28109:75:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hStaff of Conflagration|h]] )-- Staff of Conflagration
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:32191:75:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hNightmare|h]] )-- Nightmare

table.insert(bossData, { #bossData+1,  AZI.THE_BANISHED_CELLS_VETERAN, [[Keeper Voranil]], [[Le Gardien Voranil]], [[Hüter Voranil]], 0.4100, 0.6500, 1, 3, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:28123:65:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:0:0|hKeeper's Medallion|h]] )-- Keeper's Medallion
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:32179:65:50:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:0:0|h|h]] )-- Keeper's Insignia

table.insert(bossData, { #bossData+1,  AZI.THE_BANISHED_CELLS_VETERAN, [[Keeper Imiril]], [[La Gardienne Imiril]], [[Hüterin Imiril]], 0.4500, 0.1600, 1, 4, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54283:95:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|hSavior's Belt|h]] ) 
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54286:95:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|hEpaulets of the Worm Cult|h]] ) 
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54274:95:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|hEbon Cuirass|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55365:94:50:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hThe Ebon Sledge|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:32165:75:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hFiretooth|h]] )-- Firetooth    

table.insert(bossData, { #bossData+1,  AZI.THE_BANISHED_CELLS_VETERAN, [[Sister Sihna]], [[La Sœur Sihna]], [[Schwester Sihna]], 0.2500, 0.3100, 1, 5, [[Twin Sisters]] , { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:7717:65:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hTalisman of the Sisters|h]] )-- Talisman of the Sisters

table.insert(bossData, { #bossData+1,  AZI.THE_BANISHED_CELLS_VETERAN, [[Sister Vera]], [[La Sœur Véra]], [[Schwester Vera]], 0.3100, 0.3100, 1, 6, [[Twin Sisters]] , { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:7717:65:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hTalisman of the Sisters|h]] )-- Talisman of the Sisters

table.insert(bossData, { #bossData+1,  AZI.THE_BANISHED_CELLS_VETERAN, [[High Kinlord Rilis]], [[Le Haut Patriarche Rilis]], [[Sippenhochfürst Rilis]], 0.2600, 0.4400, 1, 7, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54403:95:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|h|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54278:95:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|h|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:28113:75:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hStaff of the Banished|h]] )-- Staff of the Banished
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:32167:75:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|h|h]] )-- Corruptor's Maul
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55368:95:50:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hWhite Bow of Alinor|h]] )

table.insert(bossData, { #bossData+1,  AZI.THE_BANISHED_CELLS_VETERAN, [[Quest Rewards]], [[]], [[]], 0, 0, 1, 8, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:34387:85:0:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:10000:0|hCirion's Last Stand|h]] )-- Cirion's Last Stand    

table.insert(bossData, { #bossData+1,  AZI.THE_BANISHED_CELLS_VETERAN, [[Random Drops]], [[]], [[]], 0, 0, 1, 9, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54200:4:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hChattering Skull|h]] )

table.insert(bossData, { #bossData+1,  AZI.VAULTS_OF_MADNESS, [[The Cursed One]], [[Le Maudit]], [[Der Verfluchte]], 0.2450, 0.6200, 1, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54249:7:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hForbidden Jewels|h]] )-- Forbidden Jewels	
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54516:7:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hGem of Curses|h]] )-- Gem of Curses

table.insert(bossData, { #bossData+1,  AZI.VAULTS_OF_MADNESS, [[Ulguna Soul-Reaver]], [[Ulguna Clive-Âme]], [[Ulguna Seelenplünderer]] , 0.2450, 0.5300, 1, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44732:8:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hSoul-Siphon|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44729:8:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hSoul-Reave|h]] )-- Soul-Reave
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44762:8:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hMaleficence|h]] )-- Maleficence	

table.insert(bossData, { #bossData+1,  AZI.VAULTS_OF_MADNESS, [[Death's Head]], [[Tête de Mort]], [[Kopf des Todes]], 0.2000, 0.2700, 1, 3, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54229:4:48:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hSmoldering Ember Heart|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44756:7:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hDeath's Amulet|h]] )-- Death's Amulet
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54246:7:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hBonebound Ring|h]] )-- Bonebound Ring

table.insert(bossData, { #bossData+1,  AZI.VAULTS_OF_MADNESS, [[Grothdarr]], [[Grothdarr]], [[Grothdarr]], 0.3900, 0.1900, 1, 4, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44085:4:47:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hHelm of the Storm Knight's Plate|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44731:8:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hFleshsear|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44761:8:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:441:0|hDespair|h]] )-- Despair	

table.insert(bossData, { #bossData+1,  AZI.VAULTS_OF_MADNESS, [[Achaeraizur]], [[Achaeraizur]], [[Achaeraizur]], 0.6000, 0.1200, 1, 5, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54247:7:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hBand of the Daedroth|h]] )-- Band of the Daedroth
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54250:7:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|h|h]] )-- Achaeraizur's Chain

table.insert(bossData, { #bossData+1,  AZI.VAULTS_OF_MADNESS, [[The Ancient One]], [[L’Ancien]], [[Der Uralte]], 0.6650, 0.3800, 1, 6, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44733:7:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hRing of the Ancient One|h]] )-- Ring of the Ancient One
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54251:7:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hWatcher's Eye|h]] )-- Watcher's Eye

table.insert(bossData, { #bossData+1,  AZI.VAULTS_OF_MADNESS, [[Iskra the Omen]], [[Iskra le Présage]], [[Iskra das Omen]], 0.6650, 0.4800, 1, 7, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44748:8:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hIll Omen|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44728:8:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:427:0|h|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44759:8:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hRuin|h]] )-- Ruin	

table.insert(bossData, { #bossData+1,  AZI.VAULTS_OF_MADNESS, [[Mad Architect]], [[L’Architecte Fou]], [[Der Verrückte Architekt]], 0.9000, 0.7900, 1, 8, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44726:8:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|h|h]] )-- The Mad Cleaver
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44730:8:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:427:0|h|h]] )-- The Mad Maul
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:44758:8:50:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|h|h]] )-- Architect's Shield

table.insert(bossData, { #bossData+1,  AZI.VOLENFELL, [[Drodda's Apprentice]], [[]], [[Droddas Lehrling]], 0.7525, 0.4287, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.VOLENFELL, [[Quintus Verres]], [[Quintus Verres]], [[Quintus Verres]], 0.5242, 0.5049, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.VOLENFELL, [[Boilbite]], [[]], [[Brühbiss]], 0.2704, 0.2986, 1, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:33288:7:37:0:0:0:0:0:0:0:0:0:0:0:0:19:0:0:0:0|hBeetle Eye Ring|h]] )

table.insert(bossData, { #bossData+1,  AZI.VOLENFELL, [[Unstable Construct]], [[]], [[Instabiles Konstrukt]], 0.7416, 0.4926, 1, 3, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:33163:7:37:0:0:0:0:0:0:0:0:0:0:0:0:19:0:0:0:0|h|h]] )-- Ancient Necklace

table.insert(bossData, { #bossData+1,  AZI.VOLENFELL, [[The Guardian's Soul]], [[]], [[Die Seele des Wächters]], 0.5962, 0.3700, 2, 1, [[The Guardian Council]], { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43885:4:37:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:0:0|h|h]] )-- Epaulets of Syrabane [set]

table.insert(bossData, { #bossData+1,  AZI.VOLENFELL, [[The Guardian's Strength]], [[La Force du Gardien]], [[Die Stärke des Wächters]], 0.5962, 0.3700, 2, 2, [[The Guardian Council]], { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:34379:11:0:0:0:0:0:0:0:0:0:0:0:0:0:19:0:0:10000:0|hAncient Crown|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:33273:8:37:0:0:0:0:0:0:0:0:0:0:0:0:34:0:0:0:0|hAncient Imperial Hammer|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:33179:8:36:0:0:0:0:0:0:0:0:0:0:0:0:34:0:0:0:0|hAncient Imperial Staff|h]] )

table.insert(bossData, { #bossData+1,  AZI.VOLENFELL, [[The Guardian's Spark]], [[L’Étincelle du Gardien]], [[Der Funken des Wächters]] , 0.5962, 0.3700, 2, 3, [[The Guardian Council]], { } }) 

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:34379:11:0:0:0:0:0:0:0:0:0:0:0:0:0:19:0:0:10000:0|hAncient Crown|h]] )

table.insert(bossData, { #bossData+1,  AZI.VOLENFELL, [[Monstrous Gargoyle]], [[Gargouille Monstrueuse]], [[Monströser Gargyl]], 0.2537, 0.5000, 1, 4, nil, { } })
	
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43901:4:35:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:10000:0|hDarkstride Bracers|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:33153:8:37:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:0:0|hQuintus' Exploding Staff|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43903:4:37:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|h|h]] )-- Darkstride Belt [set]

table.insert(bossData, { #bossData+1,  AZI.VOLENFELL, [[Desert Lion]], [[Lion du Désert]], [[Wüstenlöwe]], 0.1054, 0.5950, 1, 5, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:33155:7:37:0:0:0:0:0:0:0:0:0:0:0:0:9:0:0:0:0|h|h]] )-- Lion-Tooth Pendant

table.insert(bossData, { #bossData+1,  AZI.VOLENFELL, [[Tremorscale]], [[]], [[Bebenschuppe]], 0.7910, 0.5467, 1, 6, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43904:4:37:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|h|h]] )-- Darkstride Boots [set]
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:43888:4:37:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:0:0|hRing of Syrabane|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:33277:8:37:0:0:0:0:0:0:0:0:0:0:0:0:19:0:0:0:0|hTremorscale's Tooth|h]] )

table.insert(bossData, { #bossData+1,  AZI.WAYREST_SEWERS_NORMAL, [[Slimecraw]], [[Rampefange]], [[Schleimkropf]], 0.3704, 0.7244, 1, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:16219:50:22:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:0:0|hLost Wedding Band|h]] )

table.insert(bossData, { #bossData+1,  AZI.WAYREST_SEWERS_NORMAL, [[Uulgarg the Hungry]], [[Uulgarg l'Affamé]], [[Uulgarg der Hungrige]], 0.5300, 0.2700, 1, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22108:50:23:0:0:0:0:0:0:0:0:0:0:0:0:3:0:0:0:0|hSmuggler's Luck Beads|h]] )-- Smuggler's Luck Beads
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:16202:50:22:0:0:0:0:0:0:0:0:0:0:0:0:3:0:0:0:0|hUulgarg's Charm|h]] )-- Uulgarg's Charm

table.insert(bossData, { #bossData+1,  AZI.WAYREST_SEWERS_NORMAL, [[Investigator Garron]], [[L’Enquêteur Garron]], [[Ermittler Garron]], 0.4089, 0.4697, 1, 3, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22119:49:22:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hGarron's Cold Betrayal|h]] )
 
table.insert(bossData, { #bossData+1,  AZI.WAYREST_SEWERS_NORMAL, [[The Rat Whisperer]], [[Celui Qui Chuchotte À l'oreille des Rats]], [[]], 0.2727, 0.2281, 1, 4, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:22118:50:23:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|hRattail Necklace|h]] )-- Rattail Necklace

table.insert(bossData, { #bossData+1,  AZI.WAYREST_SEWERS_NORMAL, [[Varaine Pellingare]], [[Varaine Pellingare]], [[Varaine Pellingare]], 0.6607, 0.6531, 1, 5, [[Pellingare]], { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:16228:49:22:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hMightmaker|h]] )-- Mightmaker

table.insert(bossData, { #bossData+1,  AZI.WAYREST_SEWERS_NORMAL, [[Allene Pellingare]], [[Allène Pellingare]], [[Allene Pellingare]], 0.7100, 0.6531, 1, 6, [[Pellingare]], { } })	

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29010:49:23:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hWicked Bite|h]] )

table.insert(bossData, { #bossData+1,  AZI.WAYREST_SEWERS_NORMAL, [[Quest Rewards]], [[]], [[]], 0, 0, 1, 7, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:34374:11:0:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hInvestigator's Uniform|h]] )
	
table.insert(bossData, { #bossData+1,  AZI.WAYREST_SEWERS_VETERAN, [[Malubeth the Scourger]], [[Malubeth le Faucheur]] , [[Malubeth die Auspeitscherin]], 0.4100, 0.4600, 1, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55365:94:50:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hThe Ebon Sledge|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55366:95:50:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hStaff of Fulmination|h]] )-- Staff of Fulmination
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54400:100:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|hGloves of the Worm Cult|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54272:100:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|hEbon Helm|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54277:100:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|hEbon Girdle|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:7666:80:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hMalubeth's Stinger|h]] )-- Malubeth's Stinger

table.insert(bossData, { #bossData+1,  AZI.WAYREST_SEWERS_VETERAN, [[Uulgarg the Risen]], [[Uulgarg le Revenu]], [[Uulgarg der Erhobene]], 0.5300, 0.2700, 1, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:26166:70:50:0:0:0:0:0:0:0:0:0:0:0:0:3:0:0:0:0|hRing of the Risen|h]] )-- Ring of the Risen	    
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29465:70:50:0:0:0:0:0:0:0:0:0:0:0:0:3:0:0:0:0|hUulgarg's Bones|h]] )-- Uulgarg's Bones    

table.insert(bossData, { #bossData+1,  AZI.WAYREST_SEWERS_VETERAN, [[Skull Reaper]], [[Fauche-Crânes]], [[Schädelschnitter]], 0.2400, 0.1600, 1, 3, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29460:70:50:0:0:0:0:0:0:0:0:0:0:0:0:17:0:0:0:0|hReaper's Choker|h]] )-- Reaper's Choker

table.insert(bossData, { #bossData+1,  AZI.WAYREST_SEWERS_VETERAN, [[Garron the Returned]], [[Garron le Ressuscité]], [[Garron der Zurückgekehrte]] , 0.6600, 0.1900, 1, 4, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29464:80:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hGarron's Icy Grasp|h]] )-- Garron's Icy Grasp        
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54200:4:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hChattering Skull|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54283:96:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|hSavior's Belt|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54400:100:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|h|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55365:94:50:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hThe Ebon Sledge|h]] )

table.insert(bossData, { #bossData+1,  AZI.WAYREST_SEWERS_VETERAN, [[The Forgotten One]], [[L’Oublié]], [[Der Vergessene]], 0.8100, 0.1200, 1, 5, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:28110:70:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hLoop of the Lost|h]] )-- Loop of the Lost    

table.insert(bossData, { #bossData+1,  AZI.WAYREST_SEWERS_VETERAN, [[Varaine Pellingare]], [[Varaine Pellingare]], [[Varaine Pellingare]], 0.6607, 0.6531, 1, 6, [[Pellingare]], { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:28121:80:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hVaraine's Death Knell|h]] )-- Varaine's Death Knell    
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54272:100:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:10000:0|hEbon Helm|h]] )
	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:55366:100:50:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|h|h]] )

table.insert(bossData, { #bossData+1,  AZI.WAYREST_SEWERS_VETERAN, [[Allene Pellingare]], [[Allène Pellingare]], [[Allene Pellingare]], 0.7100, 0.6531, 1, 7, [[Pellingare]], { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:29451:80:50:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|h|h]] )-- Allene's Deathly Bow    	

table.insert(bossData, { #bossData+1,  AZI.WAYREST_SEWERS_VETERAN, [[Quest Rewards]], [[]], [[]], 0, 0, 1, 8, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:34390:90:0:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:10000:0|hPellingare War Plate|h]] )-- Pellingare War Plate --Quest Reward ???

table.insert(bossData, { #bossData+1,  AZI.WAYREST_SEWERS_VETERAN, [[Random Drops]], [[]], [[]], 0, 0, 1, 9, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54200:4:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hChattering Skull|h]] )

table.insert(bossData, { #bossData+1,  AZI.BALAMATH, [[Blackcaster Battlemage]], [[]], [[Schwarzzauber-Kampfmagierin]], 0.5982, 0.5673, 2, 1, [[Blackcaster]], { } })
table.insert(bossData, { #bossData+1,  AZI.BALAMATH, [[Blackcaster Mender]], [[]], [[Schwarzzauber-Pfleger]], 0.5982, 0.5673, 2, 2, [[Blackcaster]], { } })
table.insert(bossData, { #bossData+1,  AZI.BALAMATH, [[Blackcaster Storm Mage]], [[]], [[Schwarzzauber-Sturmmagierin]], 0.7952, 0.2498, 2, 3, [[Blackcaster]], { } })
table.insert(bossData, { #bossData+1,  AZI.BALAMATH, [[Corrupted Scion of Balamath]], [[Descendant Corrompu de Balamath]], [[Verdorbener Erbe von Balamath]], 0.4447, 0.5896, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.BALAMATH, [[Fire Mage Linia]], [[La Mage de Feu Linia]], [[Feuermagierin Linia]], 0.5982, 0.5673, 2, 1, [[Blackcaster]], { } })
table.insert(bossData, { #bossData+1,  AZI.BALAMATH, [[Frost Mage Porcia]], [[La Mage de Givre Porcia]], [[Frostmagierin Porcia]], 0.5982, 0.5673, 2, 2, [[Blackcaster]], { } })
table.insert(bossData, { #bossData+1,  AZI.BALAMATH, [[Nomeg Zozumiralpachar]], [[]], [[Nomeg Zozumiralpachar]], 0.6868, 0.5200, 2, 4, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.BALAMATH, [[Parel Nirus]], [[Parel Nirus]], [[]], 0.6307, 0.2678, 3, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.BALAMATH, [[Storm Mage Iribia]], [[La Mage des Tempêtes Iribia]], [[Sturmmagierin Iribia]], 0.7952, 0.2498, 2, 3, [[Blackcaster]], { } })

table.insert(bossData, { #bossData+1,  AZI.BANGKORAI, [[Dread Daedroth]], [[]], [[Schrecklicher Daedroth]], 0.5573, 0.1214, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.BANGKORAI, [[]], [[]], [[König Styriche von Verkarth]], 0.5573, 0.1177, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.BANGKORAI, [[]], [[]], [[Zayzahad]], 0.5566, 0.1185, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.BANGKORAI, [[Dread Watcher]], [[]], [[Schrecklicher Beobachter]], 0.5635, 0.1164, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.BANGKORAI, [[Dread Clannfear]], [[]], [[Schrecklicher Clannbann]], 0.5635, 0.1164, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.BANGKORAI, [[Draugr Deathlord]], [[]], [[]], 0.5635, 0.1164, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.BANGKORAI, [[Dread Harvester]], [[]], [[]], 0.5635, 0.1164, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.BANGKORAI, [[Gedna Relvel]], [[]], [[]], 0.5635, 0.1164, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.BANGKORAI, [[Dread Storm Atronach]], [[]], [[]], 0.5635, 0.1164, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.BANGKORAI, [[Dread Frost Atronach]], [[]], [[]], 0.5635, 0.1164, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.BANGKORAI, [[Dread Flesh Atronach]], [[]], [[]], 0.5635, 0.1164, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.BANGKORAI, [[Dread Lich]], [[]], [[]], 0.5635, 0.1164, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.BANGKORAI, [[Dread Xivilai]], [[]], [[]], 0.5635, 0.1164, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.BANGKORAI, [[Dread Ogrim]], [[]], [[]], 0.5635, 0.1164, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.BANGKORAI, [[Lord Dregas Volar]], [[]], [[]], 0.5635, 0.1164, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.BANGKORAI, [[Ozozzachar]], [[]], [[]], 0.5635, 0.1164, 1, 1, nil, { } })
--|H0:item:42977:65:50:0:0:0:0:0:0:0:0:0:0:0:0:4:0:0:0:0|hConjured Oath-Band|h

table.insert(bossData, { #bossData+1,  AZI.BURIED_SANDS, [[Den Mother]], [[Mère de Tanière]], [[Baumutter]], 0.7676, 0.2688, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.BURIED_SANDS, [[Duneracer]], [[]], [[]], 0.7572, 0.3101, 1, 2, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.BURIED_SANDS, [[The Swarming Tide]], [[La Marée Implacable]], [[Die Schwärmende Woge]], 0.3464, 0.3735, 1, 3, nil, { } })

table.insert(bossData, { #bossData+1,  AZI.CHISELSHRIEK_MINE, [[The Gracious Beacon]], [[La Gracieuse Lueur]], [[Das Anmutige Leuchtfeuer]], 0.6074, 0.4231, 1, 1, nil, { } })

table.insert(bossData, { #bossData+1,  AZI.CRAGLORN, [[Air Atronach]], [[Atronach D'air]], [[Luftatronach]] , 0.5812, 0.5265, 1, 2, [[Focus Crystal #1]], { } }) 
table.insert(bossData, { #bossData+1,  AZI.CRAGLORN, [[Air Atronach]], [[Atronach D'air]], [[Luftatronach]] , 0.6443, 0.3311, 1, 4, [[Focus Crystal #2]], { } }) 
table.insert(bossData, { #bossData+1,  AZI.CRAGLORN, [[Air Atronach]], [[Atronach D'air]], [[Luftatronach]] , 0.6752, 0.4312, 1, 6, [[Focus Crystal #3]], { } }) 
table.insert(bossData, { #bossData+1,  AZI.CRAGLORN, [[Air Atronach]], [[Atronach D'air]], [[Luftatronach]] , 0.7427, 0.6179, 1, 10,[[Focus Crystal #5]], { } }) 
table.insert(bossData, { #bossData+1,  AZI.CRAGLORN, [[Air Atronach]], [[Atronach D'air]], [[Luftatronach]] , 0.8002, 0.5090, 1, 8, [[Focus Crystal #4]], { } })
table.insert(bossData, { #bossData+1,  AZI.CRAGLORN, [[Focus Crystal]], [[Cristal de Focus]], [[Fokuskristall]], 0.5812, 0.5265, 1, 1, [[Focus Crystal #1]], { } })
table.insert(bossData, { #bossData+1,  AZI.CRAGLORN, [[Focus Crystal]], [[Cristal de Focus]], [[Fokuskristall]], 0.6443, 0.3311, 1, 3, [[Focus Crystal #2]], { } })
table.insert(bossData, { #bossData+1,  AZI.CRAGLORN, [[Focus Crystal]], [[Cristal de Focus]], [[Fokuskristall]], 0.6752, 0.4312, 1, 5, [[Focus Crystal #3]], { } })
table.insert(bossData, { #bossData+1,  AZI.CRAGLORN, [[Focus Crystal]], [[Cristal de Focus]], [[Fokuskristall]], 0.7427, 0.6179, 1, 9, [[Focus Crystal #5]], { } }) 
table.insert(bossData, { #bossData+1,  AZI.CRAGLORN, [[Focus Crystal]], [[Cristal de Focus]], [[Fokuskristall]], 0.8002, 0.5090, 1, 7, [[Focus Crystal #4]], { } }) 
table.insert(bossData, { #bossData+1,  AZI.CRAGLORN, [[Kalith the Champion]], [[Kalith le Champion]], [[Kalith der Champion]], 0.3848, 0.6590, 1, 16, nil, { } }) 	
table.insert(bossData, { #bossData+1,  AZI.CRAGLORN, [[Nomeg Ozal]], [[Nomeg Ozal]], [[Nomeg Ozal]], 0.4794, 0.3012, 3, 1, nil, { } }) 	
table.insert(bossData, { #bossData+1,  AZI.CRAGLORN, [[Star-Gazer Priest]], [[Prêtre Astromancien]], [[Sterngucker-Priester]], 0.0404, 0.2937, 1, 13, nil, { } }) 
table.insert(bossData, { #bossData+1,  AZI.CRAGLORN, [[Star-Gazer Priest]], [[Prêtre Astromancien]], [[Sterngucker-Priester]], 0.1738, 0.4422, 1, 15, nil, { } }) 
table.insert(bossData, { #bossData+1,  AZI.CRAGLORN, [[Star-Gazer Priest]], [[Prêtre Astromancien]], [[Sterngucker-Priester]], 0.3969, 0.4444, 1, 12, nil, { } }) 
table.insert(bossData, { #bossData+1,  AZI.CRAGLORN, [[Star-Gazer Priest]], [[Prêtresse Astromancienne]], [[Sterngucker-Priesterin]], 0.3104, 0.5650, 1, 14, nil, { } }) 
table.insert(bossData, { #bossData+1,  AZI.CRAGLORN, [[Star-Gazer Priest]], [[Prêtresse Astromancienne]], [[Sterngucker-Priesterin]], 0.3148, 0.3873, 1, 11, nil, { } }) 
table.insert(bossData, { #bossData+1,  AZI.CRAGLORN, [[Zymel Mirapharrus]], [[Zymel Mirapharrus]], [[Zymel Mirapharrus]], 0.6171, 0.3849, 2, 1, nil, { } }) 
--|H0:item:45804:4:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hcristallin lumineux^m|h

table.insert(bossData, { #bossData+1,  AZI.CROW_S_WOOD, [[Ghyslain]], [[]], [[Ghyslain]], 0.6595, 0.5902, 1, 1, nil, { } })

table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_TARISHZI, [[The Craven Shield]], [[Le Bouclier Couard]], [[Der Feige Schild]], 0.3155, 0.4909, 1, 3, nil, { } }) 
table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_TARISHZI, [[The Fumbled Knife]], [[Le Couteau Lâché]], [[Das Verfehlte Messer]], 0.3155, 0.4909, 1, 4, nil, { } }) 
table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_TARISHZI, [[The Hungry Pillar]], [[Le Pilier Affamé]], [[Die Hungrige Säule]], 0.4983, 0.6769, 1, 6, nil, { } }) 
table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_TARISHZI, [[The Servile Staff]], [[Le Bâton Servile]], [[Der Unterwürfige Stab]], 0.3155, 0.4909, 1, 5, nil, { } }) 
table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_TARISHZI, [[Prince Tarjal the Lost]], [[Le Prince Tarjal le Perdu]],[[Prinz Tarjal der Verlorenen]], 0.5088, 0.3665, 1, 1, nil, { } }) 
table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_TARISHZI, [[Namsah the Fallen]], [[Namsah la Déchue]], [[Namsah die Gefallene]], 0.4589, 0.5522, 1, 2, nil, { } }) 
table.insert(bossData, { #bossData+1,  AZI.CRYPT_OF_TARISHZI, [[Emperor Tarish-Zi]], [[L’Empereur Tarish-Zi]], [[Kaiser Tarish-Zi]], 0.4100, 0.7440, 2, 1, nil, { } }) 

table.insert(bossData, { #bossData+1,  AZI.HADDOCK_S_MARKET, [[Ariana At-Fara]], [[Ariana At-Fara]], [[Ariana At-Fara]], 0.7222, 0.3114, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.HADDOCK_S_MARKET, [[Grandmother Thunder]], [[Grand-Mère Tonnerre]], [[Großmutter Donner]], 0.6368, 0.4162, 1, 2, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.HADDOCK_S_MARKET, [[Padomay]], [[Grand-Mère Tonnerre]], [[Großmutter Donner]], 0.7010, 0.2975, 1, 2, nil, { } })

table.insert(bossData, { #bossData+1,  AZI.HIRCINE_S_HAUNT, [[Iron Head]], [[Tête de Fer]], [[Eisenkopf]], 0.5142, 0.2053, 1, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54222:4:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hWerewolf's Cameo|h]] )

table.insert(bossData, { #bossData+1,  AZI.HIRCINE_S_HAUNT, [[Packleader Sigmund]], [[Le Maître de Meute Sigmund]], [[Rudelführer Sigmund]], 0.2166, 0.7414, 1, 2, nil, { } })

table.insert(bossData, { #bossData+1,  AZI.MOLAVAR, [[Magdra Ibrai]], [[Magdra Ibrai]], [[Magdra Ibrai]], 0.4852, 0.8533, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.MOLAVAR, [[Thalie the Voracious]], [[Thalië la Vorace]], [[Thalie die Unersättliche]], 0.4814, 0.4921, 1, 3, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.MOLAVAR, [[The Charnel Cage]], [[La Cage du Charnier]], [[Der Beinhauskörper]], 0.3261, 0.7038, 1, 2, nil, { } })

table.insert(bossData, { #bossData+1,  AZI.MTHARNAZ, [[The Brass Hatchling]], [[L’Éclos D'airain]], [[Der Bronzeschlüpfling]], 0.3505, 0.5490, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.MTHARNAZ, [[The Skillful Seamstress]], [[L’Adroite Couturière]], [[Die Gewandte Weberin]], 0.3505, 0.5583, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.MTHARNAZ, [[Random Drops]], [[]], [[]], 0, 0, 1, 1, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54214:4:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hWhirring Dynamo|h]] )

table.insert(bossData, { #bossData+1,  AZI.REINHOLDS_RETREAT, [[]], [[La Corruption du Serpent]], [[Die Verderbnis der Schlange]], 0.5526, 0.6185, 1, 2, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.REINHOLDS_RETREAT, [[]], [[Madleena Noireveine]], [[Madleena Schwarzvene]], 0.5526, 0.6185, 1, 1, nil, { } })

table.insert(bossData, { #bossData+1,  AZI.RAHNIZA, [[Abelazar]], [[Abélazar]], [[Abelazar]], 0.4023, 0.3361, 1, 1, nil, { } })

table.insert(bossData, { #bossData+1,  AZI.RKHARDARHRK, [[The Last Sentinel]], [[La Dernière Sentinelle]], [[Der Letzte Wächter]], 0.1639, 0.4985, 1, 1, nil, { } })

table.insert(bossData, { #bossData+1,  AZI.RKUNDZELFT, [[Mzeklok]], [[Mzeklok]], [[Mzeklok]], 0.5798, 0.4050, 1, 1, nil, { } }) 
table.insert(bossData, { #bossData+1,  AZI.RKUNDZELFT, [[Random Drops]], [[]], [[]], 0, 0, 1, 2, nil, { } })

	table.insert(bossData[#bossData][G_LIBBOSS.INDEX.LOOTTABLE], [[|H0:item:54213:4:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hPerfectly Balanced Gyro|h]] )

table.insert(bossData, { #bossData+1,  AZI.RUINS_OF_KARDALA, [[Ahmat the Forgotten]], [[]], [[]], 0.1885, 0.7343, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.RUINS_OF_KARDALA, [[Mazar the Vengeful]], [[]], [[Mazar der Rachsüchtige]], 0.1944, 0.5459, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.RUINS_OF_KARDALA, [[Rajdara the Restless One]], [[]], [[Rajdara die Ruhelose]], 0.7851, 0.4829, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.RUINS_OF_KARDALA, [[Satagna]], [[]], [[Satagna]], 0.6394, 0.4871, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.RUINS_OF_KARDALA, [[Izrunath the Corruptor]], [[]], [[Izrunath der Verderber]], 0.1849, 0.3131, 1, 1, nil, { } })

table.insert(bossData, { #bossData+1,  AZI.SANCRE_TOR, [[Mannimarco]], [[]], [[]], 0.6558, 0.5094, 1, 1, nil, { } })

table.insert(bossData, { #bossData+1,  AZI.SEEKERSARCHIVE, [[Glaring Eye]], [[Œil Réprobateur]], [[Blendauge]], 0.4239, 0.4248, 1, 1, nil, { } })

table.insert(bossData, { #bossData+1,  AZI.SHADA_S_TEAR, [[Jah'lah]], [[Jah'lah]], [[Jah'lah]], 0.8373, 0.3280, 1, 2, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.SHADA_S_TEAR, [[Klause]], [[Klause]], [[Klause]], 0.3064, 0.7105, 1, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.SHADA_S_TEAR, [[Blacksmith Zifri]], [[La Forgeronne Zifri]], [[Schmiedin Zifri]], 0.8573, 0.7588, 1, 3, nil, { } })
--|H0:item:54200:4:50:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hChattering Skull|h
table.insert(bossData, { #bossData+1,  AZI.SHADA_S_TEAR, [[Conjurer Squan]], [[L’Invocateur Squan]], [[Anrufer Squan]], 0.5567, 0.8901, 1, 4, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.SHADA_S_TEAR, [[Debruz]], [[Debruz]], [[Debruz]], 0.3241, 0.1834, 2, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.SHADA_S_TEAR, [[Zal'ik]], [[Zal'ik]], [[Zal'ik]], 0.4196, 0.5611, 2, 2, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.SHADA_S_TEAR, [[Emi'liah]], [[Émi'liah]], [[Emi'liah]], 0.5476, 0.8702, 2, 3, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.SHADA_S_TEAR, [[Muhma the Stinger]], [[Muhma la Dardeuse]], [[Muhma die Beißende]], 0.3225, 0.7514, 3, 1, nil, { } })
table.insert(bossData, { #bossData+1,  AZI.SHADA_S_TEAR, [[Shada]], [[Shada]], [[Shada]], 0.7456, 0.2224, 3, 2, nil, { } })


table.insert(bossData, { #bossData+1,  AZI.THE_MAGES_STAFF, [[Air Atronach]], [[Atronach D'air]],[[Luftatronach]], 0.4909, 0.7367, 1, 1, nil, { } }) 
table.insert(bossData, { #bossData+1,  AZI.THE_MAGES_STAFF, [[]], [[Magdra Tigun]],[[Magdra Tigun]], 0.4894, 0.7802, 1, 2, nil, { } }) 
table.insert(bossData, { #bossData+1,  AZI.THE_MAGES_STAFF, [[]], [[Nomeg Nulu]],[[Nomeg Nulu]], 0.5615, 0.8655, 1, 3, nil, { } }) 
table.insert(bossData, { #bossData+1,  AZI.THE_MAGES_STAFF, [[]], [[]],[[Zymel Ozata]] , 0.4770, 0.9166, 1, 4, nil, { } }) 

local setData = 
{
	[55366] = [[Destruction Suite]],
	[55375] = [[Destruction Suite]],
	[55377] = [[Destruction Suite]],
	[55376] = [[Destruction Suite]],
	[55378] = [[Destruction Suite]],

	[43867] = [[Ice Furnace]],
	[43868] = [[Ice Furnace]],
	[43869] = [[Ice Furnace]],
	[43870] = [[Ice Furnace]],
  	[55428] = [[Ice Furnace]],

	[29513] = [[Vestments of the Warlock]],
	[29514] = [[Vestments of the Warlock]],
	[29515] = [[Vestments of the Warlock]],
	[29516] = [[Vestments of the Warlock]],
	[55386] = [[Vestments of the Warlock]],

	[43843] = [[Robes of the Necromancer]],
	[43844] = [[Robes of the Necromancer]],
	[43845] = [[Robes of the Necromancer]],
	[43846] = [[Robes of the Necromancer]],
	[55424] = [[Robes of the Necromancer]],

	[43900] = [[Darkstride]],
	[43901] = [[Darkstride]],
	[43902] = [[Darkstride]],
	[43903] = [[Darkstride]],
	[43904] = [[Darkstride]],

	[43940] = [[Stygian]],
	[43941] = [[Stygian]],
	[43942] = [[Stygian]],
	[43943] = [[Stygian]],
	[43944] = [[Stygian]],

	[44085] = [[Storm Knight's Plate]],
	[44086] = [[Storm Knight's Plate]],
	[44087] = [[Storm Knight's Plate]],
	[44088] = [[Storm Knight's Plate]],
	[44089] = [[Storm Knight's Plate]],
	[44090] = [[Storm Knight's Plate]],
	[44091] = [[Storm Knight's Plate]],

	[44118] = [[Necropotence]],
	[44119] = [[Necropotence]],
	[44120] = [[Necropotence]],
	[44121] = [[Necropotence]],
	[44122] = [[Necropotence]],
	[44123] = [[Necropotence]],
	[44124] = [[Necropotence]],

	[54889] = [[Wise Mage]],
	[54890] = [[Wise Mage]],
	[54891] = [[Wise Mage]],
	[54892] = [[Wise Mage]],
	[54895] = [[Wise Mage]],
	[55795] = [[Wise Mage]],
        [55796] = [[Wise Mage]],

	[54896] = [[Destructive Mage]],
	[54897] = [[Destructive Mage]],
	[54898] = [[Destructive Mage]],
	[54900] = [[Destructive Mage]], -- old
	[55803] = [[Destructive Mage]], -- old
	[55804] = [[Destructive Mage]], -- old

	[54902] = [[Healing Mage]],
	[54903] = [[Healing Mage]],
	[54904] = [[Healing Mage]],
	[54905] = [[Healing Mage]],
	[55807] = [[Healing Mage]], -- old

	[54877] = [[Immortal Warrior]],
	[54874] = [[Immortal Warrior]],
	[54875] = [[Immortal Warrior]],
	[54876] = [[Immortal Warrior]],
	[55778] = [[Immortal Warrior]], -- old
	[55779] = [[Immortal Warrior]],
	[55783] = [[Immortal Warrior]],

	[54881] = [[Berserking Warrior]],
	[54882] = [[Berserking Warrior]],
	[54883] = [[Berserking Warrior]],
	[54884] = [[Berserking Warrior]],

	[54885] = [[Defending Warrior]],
	[54886] = [[Defending Warrior]],
	[54887] = [[Defending Warrior]],
	[54888] = [[Defending Warrior]],
	[55789] = [[Defending Warrior]], -- old
	[55790] = [[Defending Warrior]], -- old

	[54906] = [[Quick Serpent]],
	[54907] = [[Quick Serpent]],
	[54908] = [[Quick Serpent]],
	[54910] = [[Quick Serpent]],
	[55811] = [[Quick Serpent]],
	[55812] = [[Quick Serpent]],
	[54909] = [[Quick Serpent]],

	[54913] = [[Poisonous Serpent]],
        [54914] = [[Poisonous Serpent]],
        [54916] = [[Poisonous Serpent]],

	[54917] = [[Twice-Fanged Serpent]],
	[54918] = [[Twice-Fanged Serpent]],
        [54919] = [[Twice-Fanged Serpent]],
        [54920] = [[Twice-Fanged Serpent]],
        [55824] = [[Twice-Fanged Serpent]],

	[29521] = [[Akaviri Dragonguard]],
	[29522] = [[Akaviri Dragonguard]],
        [29523] = [[Akaviri Dragonguard]],
        [29524] = [[Akaviri Dragonguard]],
        [55388] = [[Akaviri Dragonguard]],

	[44125] = [[Savior's Hide]],
	[44127] = [[Savior's Hide]],
	[44128] = [[Savior's Hide]],
	[44129] = [[Savior's Hide]],
	[44130] = [[Savior's Hide]],
	[44131] = [[Savior's Hide]],

	[43785] = [[Silks of the Sun]],
	[43786] = [[Silks of the Sun]],
	[43787] = [[Silks of the Sun]],
	[55407] = [[Silks of the Sun]],
	[55408] = [[Silks of the Sun]],

	[43851] = [[Coat of the Red Mountain]],
	[43852] = [[Coat of the Red Mountain]],
	[43853] = [[Coat of the Red Mountain]],
	[43854] = [[Coat of the Red Mountain]],
	[55425] = [[Coat of the Red Mountain]],

	[43885] = [[Syrabane's Grip]],
	[43886] = [[Syrabane's Grip]],
	[43887] = [[Syrabane's Grip]],
	[43888] = [[Syrabane's Grip]],
	[43889] = [[Syrabane's Grip]],

	[44146] = [[Unassailable]],
	[44147] = [[Unassailable]],
	[44149] = [[Unassailable]],
	[44150] = [[Unassailable]],
	[44151] = [[Unassailable]],

	[43960] = [[Nikulas' Heavy Armor]],
	[43961] = [[Nikulas' Heavy Armor]],
	[43962] = [[Nikulas' Heavy Armor]],
	[43963] = [[Nikulas' Heavy Armor]],
	[43964] = [[Nikulas' Heavy Armor]],

	[54921] = [[Way of Fire]],
	[54923] = [[Way of Fire]],
	[54924] = [[Way of Fire]],

	[54929] = [[Way of Air]],
        [54932] = [[Way of Air]],
        [54934] = [[Way of Air]],

	[54935] = [[Way of Martial Knowledge]], 
	[54937] = [[Way of Martial Knowledge]],
	[54939] = [[Way of Martial Knowledge]],
	[54940] = [[Way of Martial Knowledge]],

	[54280] = [[Hircine's Veneer]],
        [54281] = [[Hircine's Veneer]],
        [54283] = [[Hircine's Veneer]],

	[54286] = [[Worm's Raiment]],
	[54400] = [[Worm's Raiment]],
	[54401] = [[Worm's Raiment]],
	[54403] = [[Worm's Raiment]],

	[55373] = [[Arms of Infernace]],

	[54272] = [[Ebon Armory]],
	[54274] = [[Ebon Armory]],
	[54275] = [[Ebon Armory]],
	[54277] = [[Ebon Armory]],
	[54278] = [[Ebon Armory]],

	[55365] = [[Treasures of the Earthforge]],

	[55367] = [[Relics of the Rebellion]],

	[55380] = [[Relics of the Physician,Ansur]],

	[55368] = [[Arms of the Ancestors]],

	[43799] = [[Knightmare]],

	[43906] = [[Dreugh King Slayer]],

	[29517] = [[Shrouded Armor]],
	[55387] = [[Shrouded Armor]],

	[43921] = [[Shadow Dancer's Raiment]],
	[43924] = [[Shadow Dancer's Raiment]],
}

local setItems =
{	
	-- Destruction Suite [[|cFF7F24|H0:set:100:50:55375:55376:55377:55378|hDestruction Suite|h]]
	[55375] = [[|H0:item:55375:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hStaff of Everfrost|h]],
	[55377] = [[|H0:item:55377:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hArsonist's Staff|h]],
	[55376] = [[|H0:item:55376:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hRing of Blue Ice|h]],
	[55378] = [[|H0:item:55378:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hRing of Embers|h]],
	-- Arms of Infernace [[|cFF7F24|H0:set:100:50:55363:55373|hArms of Infernace|h]]
	[55373] = [[|H0:item:55373:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hAmulet of Conflagration|h]],
	[55363] = [[|H0:item:55363:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hFlamedancer|h]],
	-- Relics of the Physician Ansur [[|cFF7F24|H0:set:95:50:55379|hRelics of the Physician Ansur|h]]
	[55379] = [[|H0:item:55379:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hHealing Staff of Thorn|h]],
	-- Treasures of the Earthforge [[|cFF7F24|H0:set:100:50:55365:55370|hTreasures of the Earthforge|h]]
	[55365] = [[|H0:item:55365:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hThe Ebon Sledge|h]],
	[55370] = [[|H0:item:55370:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hForge Master's Ring|h]],
	-- Arms of the Ancestors [[|cFF7F24|H0:set:100:50:55368|hArms of the Ancestors|h]]
	[55368] = [[|H0:item:55368:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hWhite Bow of Alinor|h]],
	-- Hircine's Veneer [[|cFF7F24|H0:set:100:50:54252:54279:54280:54282:54283:54284|hHircine's Veneer|h]]
	[54252] = [[|H0:item:54252:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hSavior's Boots|h]],
	[54279] = [[|H0:item:54279:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hSavior's Helmet|h]],
	[54280] = [[|H0:item:54280:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hSavior's Arm Cops|h]],
	[54282] = [[|H0:item:54282:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hSavior's Bracers|h]],
	[54283] = [[|H0:item:54283:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hSavior's Belt|h]],
	[54284] = [[|H0:item:54284:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hSavior's Guards|h]],
	-- Ebon Armory [[|cFF7F24|H0:set:250:50:54272:54273:54274:54275:54276:54277:54278|hEbon Armory|h]]
	[54272] = [[|H0:item:54272:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hEbon Helm|h]],
	[54273] = [[|H0:item:54273:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hEbon Pauldrons|h]],
	[54274] = [[|H0:item:54274:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hEbon Cuirass|h]],
	[54275] = [[|H0:item:54275:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hEbon Gauntlets|h]],
	[54276] = [[|H0:item:54276:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hEbon Greaves|h]],
	[54277] = [[|H0:item:54277:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hEbon Girdle|h]],	
	[54278] = [[|H0:item:54278:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hEbon Sabatons|h]],        
	-- Worm's Raiment [[|cFF7F24|H0:set:250:50:54285:54286:54399:54401:54403:54400|hWorm's Raiment|h]]	
	[54285] = [[|H0:item:54285:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hHat of the Worm Cult|h]],
	[54286] = [[|H0:item:54286:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hEpaulets of the Worm Cult|h]],
	[54399] = [[|H0:item:54399:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hRobe of the Worm Cult|h]],
	[54401] = [[|H0:item:54401:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hSash of the Worm Cult|h]],
	[54403] = [[|H0:item:54403:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hShoes of the Worm Cult|h]],
	[54400] = [[|H0:item:54400:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|hGloves of the Worm Cult|h]],
	-- Relics of the Rebellion [[|cFF7F24|H0:set:100:50:55367:55371:55372|hRelics of the Rebellion|h]]
	[55367] = [[|H0:item:55367:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hShield of the Man-Bull|h]],
	[55371] = [[|H0:item:55371:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hElf-Doom Maul|h]],
	[55372] = [[|H0:item:55372:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:20:0:0:0:0|hNecklace of Sardavar|h]],
	-- Akiviri Dragounguard 29523:55388
	[29523] = [[|H0:item:29523:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:0:0|hClaw of the Dragon|h]],
	[55388] = [[|H0:item:55388:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:0:0|h|h]],
	-- Shrouded Armor 29518:29519:29520
	[29518] = [[|H0:item:29518:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:9:0:0:0:0|hMask of Shadows|h]],
	[29519] = [[|H0:item:29519:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:9:0:0:0:0|hFootpads of Shadows|h]],
	[29520] = [[|H0:item:29520:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:9:0:0:0:0|hHands of Shadows|h]],
	-- Nikulas
	[43960] = [[|H0:item:43960:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:0:0|hHelm of Nikulas|h]],
	[43962] = [[|H0:item:43962:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:0:0|hCuirass of Nikulas|h]],
	-- Shadow Dancer's Raiment
	[43920] = [[|H0:item:43920:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|hCowl of the Shadow Dancer|h]],
	[43921] = [[|H0:item:43921:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|hGloves of the Shadow Dancer|h]],    
	-- Vestments of the Warlock
	[29513] = [[|H0:item:29513:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hRobes of the Warlock|h]],
	[29514] = [[|H0:item:29514:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hCowl of the Warlock|h]],
	[29515] = [[|H0:item:29515:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hFocus of the Warlock|h]],
	[29516] = [[|H0:item:29516:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hSignet of the Warlock|h]],
        [55386] = [[|H0:item:55386:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hEpaulets of the Warlock|h]],
	-- Robe of the Necromancer
	[43843] = [[|H0:item:43843:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:35:0:0:0:0|hHood of the Necromancer|h]],
	[43844] = [[|H0:item:43844:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:7:0:0:0:0|hEpaulets of the Necromancer|h]],
	[43845] = [[|H0:item:43845:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:0:0|hBreeches of the Necromancer|h]],
	[43846] = [[|H0:item:43846:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|hRobe of the Necromancer|h]],
        [55424] = [[|H0:item:55424:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:0:0|hGloves of the Necromancer|h]],
	-- Ice Furnace
	[43867] = [[|H0:item:43867:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:0:0|hIce Furnace Pauldrons|h]],
	[43868] = [[|H0:item:43868:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:0:0|hIce Furnace Greaves|h]],
	[43869] = [[|H0:item:43869:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:0:0|hIce Furnace Cuirass|h]],
	[43870] = [[|H0:item:43870:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:0:0|hIce Furnace Sabatons|h]],
  	[55428] = [[|H0:item:55428:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:2:0:0:0:0|hIce Furnace Gauntlets|h]],
	-- Darkstride
        [43900] = [[|H0:item:43900:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|hDarkstride Helmet|h]], 
	[43901] = [[|H0:item:43901:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|hDarkstride Bracers|h]],
	[43902] = [[|H0:item:43902:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|hDarkstride Jack|h]],
	[43903] = [[|H0:item:43903:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|hDarkstride Belt|h]],
	[43904] = [[|H0:item:43904:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:8:0:0:0:0|hDarkstride Boots|h]],
	-- Stygian
	[43940] = [[|H0:item:43940:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:5:0:0:0:0|hStygian Helmet|h]],
	[43941] = [[|H0:item:43941:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:0:0|hStygian Bracers|h]],
	[43942] = [[|H0:item:43942:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:15:0:0:0:0|hStygian Jack|h]],
	[43943] = [[|H0:item:43943:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:0:0|hStygian Boots|h]],
	[43944] = [[|H0:item:43944:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:0:0|hStygian Dagger|h]],
	-- Storm Knight's Plate
	[44085] = [[|H0:item:44085:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hHelm of the Storm Knight's Plate|h]],
 	[44086] = [[|H0:item:44086:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hPauldrons of the Storm Knight|h]],
 	[44087] = [[|H0:item:44087:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hGauntlets of the Storm Knight|h]],
	[44088] = [[|H0:item:44088:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hGreaves of the Storm Knight|h]],
	[44089] = [[|H0:item:44089:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hCuirass of the Storm Knight|h]],
	[44090] = [[|H0:item:44090:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hPendant of the Storm Knight|h]],
	[44091] = [[|H0:item:44091:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:1:0:0:0:0|hShield of the Storm Knight|h]],
	-- Necropotence
	[44118] = [[|H0:item:44118:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:0:0|hHat of Necropotence|h]],
	[44119] = [[|H0:item:44119:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:0:0|hEpaulets of Necropotence|h]],
	[44120] = [[|H0:item:44120:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:0:0|hGloves of Necropotence|h]],
	[44121] = [[|H0:item:44121:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:0:0|hBreeches of Necropotence|h]],
        [44122] = [[|H0:item:44122:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:0:0|hRobe of Necropotence|h]],
	[44123] = [[|H0:item:44123:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:0:0|hSash of Necropotence|h]],
  	[44124] = [[|H0:item:44124:<<1>>:<<2>>:0:0:0:0:0:0:0:0:0:0:0:0:6:0:0:0:0|hShoes of Necropotence|h]],
}
-- General functions to aid ATLAS LOGGER

local function stringStartsWith(String,Start)
   return string.sub(String,1,string.len(Start))==Start
end

local function getLocalizedBossNameIndex()
	if GetCVar("language.2") == "de" then
		return G_LIBBOSS.INDEX.NAME_DE 
        elseif GetCVar("language.2") == "fr" then
		return G_LIBBOSS.INDEX.NAME_FR 
        else
		return G_LIBBOSS.INDEX.NAME
        end
end

function LibBoss:getVersion()	
	return tostring(MINOR)
end

function LibBoss:knownZone(zoneTexture)
	zoneTexture = string.lower(zoneTexture)
	for _,zoneTextureList in pairs(zoneTextures) do			
		for i,zoneTextureListItem in ipairs(zoneTextureList[G_LIBBOSS.ZONE_TEXTURES.TEXTURES]) do	
			if zoneTexture == string.lower(zoneTextureListItem[G_LIBBOSS.TEXTURES.PATH].."0.dds") then
				return true
			end
		end
	end
	return false
end

function LibBoss:knownLoot(zoneTexture, itemLink, bossName)
	zoneTexture = string.lower(zoneTexture)

	local itemID = ({ZO_LinkHandler_ParseLink(itemLink)})[4]

	for _,zoneTextureList in pairs(zoneTextures) do
		
		zoneID = zoneTextureList[G_LIBBOSS.ZONE_TEXTURES.ID]

		for _,zoneTextureListItem in ipairs(zoneTextureList[G_LIBBOSS.ZONE_TEXTURES.TEXTURES]) do

			if zoneTexture == string.lower(zoneTextureListItem[G_LIBBOSS.TEXTURES.PATH].."0.dds") then

				for index, data in ipairs(bossData) do

					if data[G_LIBBOSS.INDEX.ZONE_ID] == zoneID then

						if not bossName or 
                                                   ( bossName and (data[getLocalizedBossNameIndex()] == bossName) )  or 
                                                   data[G_LIBBOSS.INDEX.NAME] == "Quest Rewards"  then
							
							for _,loot in ipairs(data[G_LIBBOSS.INDEX.LOOTTABLE]) do
								local cmpItemID = ({ZO_LinkHandler_ParseLink(loot)})[4]
								if (cmpItemID == itemID) then
	   								return true	   		
								end
							end 

						end
					end
				end
				
			end
		end
	end
	return false	
end

function LibBoss:knownBoss(bossName, x, y)
	for index, data in ipairs(bossData) do
		if data[getLocalizedBossNameIndex()] == bossName then
			return true
		end
	end
	return false
end
-- General functions for Atlas
function LibBoss:returnSetName(itemID)
	return setData[itemID]
end
function LibBoss:returnZoneID(zone, zoneType)
	for _,v in pairs(zoneData) do
		if v[G_LIBBOSS.ZONE_DATA.ZONE_EN] == zone and 
		   v[G_LIBBOSS.ZONE_DATA.ZONE_TYPE] == zoneType then		   	
			return v[G_LIBBOSS.ZONE_DATA.ZONE_ID]
		end
	end
	return nil
end

function LibBoss:returnBossList(zone, zoneType, level)	

	local data = {}
	local zoneID = LibBoss:returnZoneID(zone, zoneType)

	if not zoneID then return {} end	
	
	for i,v in ipairs(bossData) do		
		if (v[G_LIBBOSS.INDEX.ZONE_ID] == zoneID) then
			
		   	if not level then
				table.insert(data,v)
		   	elseif level == v[G_LIBBOSS.INDEX.LEVEL] then
				table.insert(data,v)
		   	end
		end
	end 

	return data
end

function LibBoss:returnBossLoot(bossID)	

	local data = {}

	if not bossID then return data end	
	
	for i,v in ipairs(bossData) do		
		if (i == bossID) then
			data = v[G_LIBBOSS.INDEX.LOOTTABLE]
			break;
		end
	end 

	return data
end

function LibBoss:determineZoneType(zone,inVeteranMode)		
	if not zone then return nil end	
	
	for _,v in pairs(zoneData) do		
		if (v[G_LIBBOSS.ZONE_DATA.ZONE_EN] == zone) then
			if v[G_LIBBOSS.ZONE_DATA.ZONE_TYPE] == G_LIBBOSS.ZONE_TYPE.DUNGEON_INSTANCED_NORMAL and
			   inVeteranMode then
			   --skip
			else
				return v[G_LIBBOSS.ZONE_DATA.ZONE_TYPE]	
			end
		end
	end 

	return nil
end

function LibBoss:getZoneData(zoneType,zoneName)		
	local data = {}

	if not zoneType then return {} end	
	
	for _,v in pairs(zoneData) do		
		if (v[G_LIBBOSS.ZONE_DATA.ZONE_TYPE] == zoneType) and not zoneName then
			table.insert(data,v)
		elseif (v[G_LIBBOSS.ZONE_DATA.ZONE_TYPE] == zoneType) and (v[G_LIBBOSS.ZONE_DATA.ZONE_EN] == zoneName) then
			return v
		end
	end 

	return data
end

function LibBoss:getMapTextures(zoneName,zoneType, dungeonLevel)		
	for _,v in pairs(zoneData) do		
		if (v[G_LIBBOSS.ZONE_DATA.ZONE_TYPE] == zoneType) and 
		   (v[G_LIBBOSS.ZONE_DATA.ZONE_EN] == zoneName) then

		   	return zoneTextures[v[G_LIBBOSS.ZONE_DATA.ZONE_ID]][G_LIBBOSS.ZONE_TEXTURES.TEXTURES][dungeonLevel]			

		end
	end 

	return nil
end

function LibBoss:getSetItemLink(itemID, quality, level)	
	return zo_strformat(setItems[tonumber(itemID)], quality, level)
end

